# Rubrik Developer Center # Rubrik Security Cloud API New: Task-Based REST API (Beta) A REST interface for common RSC automation tasks is now available in beta — no GraphQL knowledge required. [Learn more](https://developer.rubrik.com/Rubrik-Security-Cloud-API/REST-API/index.md) ## Getting Started The Rubrik Security Cloud (RSC) API provides programatic access to all management within Rubrik. ### GraphQL Features 1. Single Endpoint - The RSC API endpoint will always be `/api/graphql`. 1. Single HTTP method - Everything is HTTP POST. 1. Introspection - The API documentation is built in to the API itself, providing integrated development help and schema checking. 1. Customized Response - Queries are customized to only return the fields that is needed. ## GraphQL Basics GraphQL is a "query language" comparable to SQL. In SQL, one might say, "Select name and ID from the VM table." GraphQL is similar in this idea. A query is much like a SQL table. Properties (called fields in GraphQL) are like columns in that table. Unlike SQL, GraphQL fields can be complex types with their own fields, allowing functionality of a SQL join. ### Example Click on the arrow annotation (1) in the code to see an explanation of that part of the code. 1. This is an annotation! > Retrieve all MSSQL databases, and return the name, ID, and the name and ID of the Rubrik Cluster that protect's this MSSQL database. ```graphql query mssqlDatabasesExample { #(1)! mssqlDatabases { # (2)! nodes { #(3)! name #(4)! id cluster { #(5)! name #(6)! id } } } } ``` 1. `mssqlDatabasesExample` is an operation name, You can change this to whatever you want. 1. `mssqlDatabases` is the name of the query in the API. 1. `nodes` is a paginated array of objects, in this case, mssqlDatabases. 1. `name` is a property, known as a `field` in GraphQL. It has a specific type, in this case `name` is a `String`. 1. `cluster` is also a field in the API, but unlike `name` that is of type `String`, `cluster` is a `Cluster` type, and it has its own fields. 1. This is the cluster `name` field. It's a field on the `Cluster` type in the API. To learn more about the query syntax, check out [GraphQL Language Syntax](https://graphql.org/learn/queries). Next: [API Playground](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-playground/index.md) The API Playground is an integrated development environment (IDE) that you can use to browse, explore, and run GraphQL APIs offered by Rubrik Security Cloud (RSC). The IDE also provides reference to the Rubrik GraphQL API documentation for your version. Running GraphQL queries and mutations in API Playground validates the GraphQL operations so that you can confirm that your queries or mutations will achieve the desired result when included in automation scripts. Initially, access to the playground uses the currently authenticated user credentials. Running queries as a service account is useful for testing permissions and can be accomplished by clicking the "Test with Service Account" button in the upper right of the Playground. The ability to access objects and queries depends on the RBAC roles assigned to the user account or service account. For enhanced security, API Playground does not persist the service account access credentials. Danger The GraphQL mutations that run in API Playground perform actions against this instance of RSC. This can result in data loss. ## Accessing API Playground Access the API Playground through the RSC Settings menu or directly through the browser's url bar. 1. Log in to RSC. 1. Open the app tray and select Settings. The Settings menu appears. 1. Click API Playground. The API Playground page appears. 1. Click Open API Playground. API Playground opens in a new browser tab. Alternatively, The playground can be accessed directly by supplying the url in this format: ```text https://.my.rubrik.com/playground/ ``` Copy and paste the below example query into the playground query pane, and click the execute button. ```graphql { slaDomains { nodes { name id } } } ``` ### Sample output ```json { "data": { "slaDomains": { "nodes": [ { "name": "Bronze", "id": "00000000-0000-0000-0000-000000000002" }, { "name": "Gold", "id": "00000000-0000-0000-0000-000000000000" }, { "name": "Silver", "id": "00000000-0000-0000-0000-000000000001" } ] } } } ``` Building on the query for SLA Domains, it may be desirable to search by name. The following will walk through using the API documentation in the playground to identify arguments that can be specified for a particular query, and how to implement the arguments. 1. Hover the mouse cursor over `slaDomains` in the query. 1. Click on the `slaDomains` link when the tooltip appears. A side pane will appear with the API documentation for `slaDomains.` There are 3 sections in the documentation: - `Type` - The type of object that gets returned. - `Arguments` - Variables that can be passed into the query, such as filters or sorting preferences. - `Implementations` - Additional object types that have their own properties The arguments have types specified next to the name. The `filter` argument is a type of `[GlobalSlaFilterInput!]` - `[]` The square braces indicate that we can pass in multiple`GlobalSlaFilterInput` objects. This means multiple filter objects can be passed in. - `!` The exclamation point means "Non-Null." This symbol is used both in arguments and fields that get returned indicating that the field must be supplied. Click on the `GlobalSlaFilterInput` type in the documentation. The documentation will navigate to the documentation for this type. To search by name, set the `field` to `NAME`. Clicking on `GlobalSlaQueryFilterInputField` will display the enum values that are available to filter on. Set `text` to the name of the SLA domain to search for. Note Some queries will have their own filtering arguments that are unique to the context of that object. The API documentation for each query will specify the filtering syntax and capabilities for each query. Arguments are supplied to a query in parenthesis `()` after the query name. Create the filter object as an argument to the `slaDomains` query. Change the `text` content to an SLA domain name in the currently connected RSC instance. ```graphql { slaDomains(filter: {field: NAME text: "bronze"}) { nodes { name id } } } ``` The result will be only SLA Domains starting with `bronze` ```json { "data": { "slaDomains": { "nodes": [ { "name": "Bronze", "id": "00000000-0000-0000-0000-000000000002" } ] } } } ``` ## Troubleshooting For GraphQL errors, see the [troubleshooting](https://developer.rubrik.com/Rubrik-Security-Cloud-API/troubleshooting/index.md) page. ### 401 JWT is missing. This error indicates that the user session has expired. Refreshing the page will take you to the RSC login page to reauthenticate. Next: [Authentication](https://developer.rubrik.com/Rubrik-Security-Cloud-API/authentication/index.md) ## Service Accounts (OAuth2 Client Credentials Grant) A service account represents an application that needs authentication and authorization to invoke Rubrik APIs, as opposed to a user account that represents an individual user. A client ID and client secret are used to authenticate to an authorization server and obtain an access token to invoke the Rubrik APIs. Similar to user accounts, Rubrik allows assigning roles to the service accounts to enable role-based access control. But contrary to user accounts, service accounts cannot be used to access the Rubrik web UI. ### Security Service accounts enable client applications and other services to invoke the Rubrik APIs securely. When creating a service account, the authorization server assigns a unique client ID and client secret to the account. The combination of client ID and client secret is known as client credentials. The client credentials are known only to the client that is represented by the service account and the authorization server that grants the credentials to the service account. The client application authenticates to the authorization server using the client credentials and obtains an access token to authenticate to the Rubrik API server and access the protected resources. ### Guidelines Consider the following best practices when using service accounts: - One service account should represent only one client application. - The role assigned to the service account should be the one with least number of privileges that would be sufficient for the client application being represented by the service account to access the Rubrik APIs. - The client credentials must be saved when they are first created as Rubrik does not provide an option to display them again. - The client secret must be treated like a password and stored in a secure location. - Service account access tokens should be cached and reused until they are valid. ### Usage #### Obtaining an access token In this example, the service account client ID and secret are exported into environment variables and posted to the RSC client_token endpoint. The response contains the access token needed for authenticated API calls. The `jq` tool is used to parse the access token from the JSON response and stored in a variable for usage. ```bash export RSC_FQDN="example.my.rubrik.com" export RSC_CLIENT_ID="client|c9bba9a9-1234-1234-b7c6-123440b4cf64" export RSC_CLIENT_SECRET="ExampleServiceAccountSecret" RSC_TOKEN=$(curl --silent --location "https://$RSC_FQDN/api/client_token" \ --header "Content-Type: application/x-www-form-urlencoded" \ --data "client_id=$RSC_CLIENT_ID&client_secret=$RSC_CLIENT_SECRET&grant_type=client_credentials" | jq -r '.access_token') export RSC_TOKEN ``` An example response from the authorization server shows the access token and the number of seconds when the token will expire. This time is configurable up to 24 hours within the RSC session security settings. ```json {"client_id":"client|c9bba9a9-1234-1234-b7c6-123440b4cf64","access_token":"eyJ...","expires_in":43200} ``` #### Using the access token The access token is used as a `Bearer` token in the `Authorization` header of all subsequent API calls. ```bash curl --location "https://$RSC_FQDN/api/graphql" \ --header "Content-Type: application/json" \ --header "Authorization: Bearer $RSC_TOKEN" \ --data '{"query":"query slaDomains {nodes {name id}}}","variables":{}}' ``` #### Deleting a session While there is no restriction on the number of active sessions a service account can have, Rubrik provides an API endpoint to delete an existing session. Run the following command to revoke the session established for the service account. Successful revocation will result in an HTTP status code of `204`. ```bash curl -X DELETE --location "https://$RSC_FQDN/api/session" \ --header "Authorization: Bearer $RSC_TOKEN" ``` ### Service Account Management #### Retrieving Service Accounts ```graphql query { serviceAccounts { nodes { name description clientId integrationName integrationId lastLogin roles { name id } } } } ``` ```powershell $query = New-RscQuery -GqlQuery serviceAccounts $query.Field.nodes = @(Get-RscType -Name ServiceAccount -InitialProperties name,description,clientId,integrationName,integrationId,lastLogin,roles.name,roles.id) $query.invoke().nodes ``` ```bash #!/bin/bash # RSC_TOKEN="YOUR_RSC_ACCESS_TOKEN" query="query { serviceAccounts { nodes { name description clientId integrationName integrationId lastLogin roles { name id } } } }" # Execute the GraphQL query with curl curl -X POST \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $RSC_TOKEN" \ -d "{\"query\": \"$query\"}" \ https://example.my.rubrik.com/api/graphql ``` #### Creating a Service Account ```graphql mutation { createServiceAccount( input: { name: "example" description: "example service account" roleIds: ["123e4567-e89b-12d3-a456-426614174000"]} ) { clientId clientSecret accessTokenUri } } ``` ```powershell $query = New-RscMutation -GqlMutation createServiceAccount $query.Var.input = Get-RscType -Name CreateServiceAccountInput $query.Var.input.name = "example" $query.Var.input.description = "example service account" $query.Var.input.roleIds = @("123e4567-e89b-12d3-a456-426614174000") $query.Field = Get-RscType -Name CreateServiceAccountReply -InitialProperties clientId, clientSecret, accessTokenUri $serviceAccount = $query.invoke() ``` ```bash #!/bin/bash # RSC_TOKEN="YOUR_RSC_ACCESS_TOKEN" query="mutation { createServiceAccount( input: { name: \\\"example\\\" description: \\\"example service account\\\" roleIds: [\\\"123e4567-e89b-12d3-a456-426614174000\\\"]} ) { clientId clientSecret accessTokenUri } }" # Execute the GraphQL query with curl curl -X POST \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $RSC_TOKEN" \ -d "{\"query\": \"$query\"}" \ https://example.my.rubrik.com/api/graphql ``` #### Updating a Service Account Role ```graphql mutation { updateRoleAssignments( userIds: "client|123e4567-e89b-12d3-a456-426614174000" roleIds: ["123e4567-e89b-12d3-a456-426614174000"] ) } ``` ```powershell $query = New-RscMutation -GqlMutation updateRoleAssignments $query.Var.userIds = @("client|123e4567-e89b-12d3-a456-426614174000") $query.Var.roleIds = @("123e4567-e89b-12d3-a456-426614174000") $query.invoke() ``` ```bash #!/bin/bash # RSC_TOKEN="YOUR_RSC_ACCESS_TOKEN" query="mutation { updateRoleAssignments( userIds: \\\"client|123e4567-e89b-12d3-a456-426614174000\\\" roleIds: [\\\"123e4567-e89b-12d3-a456-426614174000\\\"] ) }" # Execute the GraphQL query with curl curl -X POST \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $RSC_TOKEN" \ -d "{\"query\": \"$query\"}" \ https://example.my.rubrik.com/api/graphql ``` #### Rotating a Service Account Secret ```graphql mutation { rotateServiceAccountSecret(input: { id: "123e4567-e89b-12d3-a456-426614174000" }) { clientId clientSecret accessTokenUri } } ``` ```powershell $query = New-RscMutation -GqlMutation rotateServiceAccountSecret $query.Var.input = Get-RscType -Name RotateServiceAccountSecretInput $query.Var.input.id = "123e4567-e89b-12d3-a456-426614174000" $query.Field = Get-RscType -Name RotateServiceAccountSecretReply -InitialProperties clientId, clientSecret, accessTokenUri $serviceAccount = $query.invoke() ``` ```bash #!/bin/bash # RSC_TOKEN="YOUR_RSC_ACCESS_TOKEN" query="mutation { rotateServiceAccountSecret(input: { id: \\\"123e4567-e89b-12d3-a456-426614174000\\\" }) { clientId clientSecret accessTokenUri } }" # Execute the GraphQL query with curl curl -X POST \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $RSC_TOKEN" \ -d "{\"query\": \"$query\"}" \ https://example.my.rubrik.com/api/graphql ``` #### Deleting a Service Account ```graphql mutation { deleteServiceAccountsFromAccount(input: { ids: ["123e4567-e89b-12d3-a456-426614174000"] }) } ``` ```powershell $query = New-RscMutation -GqlMutation deleteServiceAccountsFromAccount $query.Var.input = Get-RscType -Name DeleteServiceAccountsFromAccountInput $query.Var.input.ids = @("123e4567-e89b-12d3-a456-426614174000") $query.invoke() ``` ```bash #!/bin/bash # RSC_TOKEN="YOUR_RSC_ACCESS_TOKEN" query="mutation { deleteServiceAccountsFromAccount(input: { ids: [\\\"123e4567-e89b-12d3-a456-426614174000\\\"] }) }" # Execute the GraphQL query with curl curl -X POST \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $RSC_TOKEN" \ -d "{\"query\": \"$query\"}" \ https://example.my.rubrik.com/api/graphql ``` # Pagination RSC GraphQL list operations use cursor-based pagination. A cursor is a bookmark the server returns that marks where you left off in a result set — you pass it back on the next request and the server picks up from there. This pattern exists instead of page numbers or skip/limit because offset-based pagination gets expensive at scale and produces inconsistent results when data changes between requests. ## How it works List operations return a `Connection` type. Pass `after: null` on the first call, then set `after` to `pageInfo.endCursor` from each response and repeat while `pageInfo.hasNextPage` is `true`. Cursors are opaque identifiers Treat them as strings you pass back verbatim, as they may abstract implementation details that will change. ```graphql query { exampleConnection(after: null) { nodes { id name } pageInfo { endCursor hasNextPage } } } ``` ## Common mistakes - Don't parse or decode cursor values — their format is not guaranteed. - Don't cache cursors across sessions or assume they're stable after data changes. - Always request `pageInfo` even if you expect a single page — `hasNextPage: false` confirms a complete result set. Note The response code of the HTTP request will be 200, and the body of the response will contain the HTTP error code. Note It can extremely difficult to troubleshoot code logic without much context. If additional help from the Rubrik support team is required, limit the code shared to only the offending query or SDK method. Include literal variable values to verify what is being passed in to the query or SDK method. ## Error code **400** ______________________________________________________________________ ### Reason These occur when the query is incorrect according to the schema. ### Solution Verify the query and variables supplied to the query are in accordance with the schema. This can be done with any tool that can validate the query against the schema. The RSC API playground is the easiest way to accomplish this. Example Erroneous Query ```graphql query { slaDomains { nodes { name id description } } } ``` Example Error Response ```json { "code": 400, "uri": "/api/graphql", "traceSpan": { "traceId": "yQq0Pl2VftOESD4kCtiFdg==", "operation": "/api/graphql", "spanId": "hEMkvglH1gc=" }, "message": "[QueryAnalysisError] [DLC Team] Encountered Client error (400) executing query with operations: [] and variables {}. Error: Query does not pass validation. Violations:\n\nCannot query field 'description' on type 'SlaDomain'. Did you mean to use an inline fragment on 'GlobalSlaReply'? (line 6, column 7):\n description\n ^" } ``` The error message states the query doesn't pass validation, and describes the violations saying it cannot query the field `description`. Many times, the API will give suggestions as to what can be done to correct the query such as "Did you mean to use an inline fragment on 'GlobalSlaReply'?" This indicates the field `description` is actually located on an 'implementation' of the `SlaDomain` type. ### Corrected Query ```graphql query { slaDomains { nodes { name id ... on GlobalSlaReply { description } } } } ``` ## Error Code **403** ### Reason These errors are the result of a permissions issue. While RBAC is a common cause, the other reason could be that the query, or even a field in the query is behind a feature flag that is not enabled. This occurs when a development feature is deployed into the production API schema behind a feature flag, or the query is a part of licensing that has not been purchased or approved. ### Solution Remove the field, find an alternative query, or be sure that the permissions applied to the service account are sufficient to perform this query. ### Example Erroneous Query ```graphql query { clusterConnection(filter: {name: "example"}) { nodes { name isTprEnabled } } } ``` ### Example Error Response ```json { "data": { "clusterConnection": { "nodes": [ { "name": "example", "isTprEnabled": null } ] } }, "errors": [ { "message": "Account does not have the appropriate features enabled to access the field.", "path": [ "clusterConnection", "nodes", 0, "isTprEnabled" ], "locations": [ { "line": 5, "column": 7 } ], "extensions": { "code": 403, "trace": { "operation": "/api/graphql", "traceId": "9v0wj/Sm9UVOdUFd1ottJQ==", "spanId": "Jygbg58zl/M=" } } } ] } ``` ### Corrected Query ```graphql query { clusterConnection(filter: {name: "example"}) { nodes { name } } } ``` The offending field mentioned in the error has been removed. ## Error Code **404** ### Reason These errors indicate you've provided an ID that does not exist for an object using the supplied query. ### Solution Identify the correct ID or query to be used. ### Example Erroneous Query ```graphql query { vSphereVmNew(fid: "7d303326-7c2c-4ea2-b463-dedb8910d98a") { name id } } ``` ### Example Error Response ```json { "data": null, "errors": [ { "message": "NOT_FOUND: Unable to find managed object for ID or you are not authorized to access it", "path": [ "vSphereVmNew" ], "locations": [ { "line": 2, "column": 3 } ], "extensions": { "code": 404, "trace": { "operation": "/api/graphql", "traceId": "gwzt2HR5GinN4PrhQfJ+Bg==", "spanId": "/MR1LoaAiD8=" } } } ] } ``` ## Error Code **429** ### Reason HTTP 429 indicates that the client has exceeded the API rate limit. Rubrik Security Cloud enforces rate limits to protect platform stability. ### Solution Reduce the frequency of API requests from the client. Common strategies include: - Stay under 50 requests per second - Implement exponential backoff when a 429 response is received - Distribute requests across a longer time window rather than sending them in rapid succession - Where possible, use pagination and filtering to reduce the total number of API calls needed ### Example Error Response Note Unlike other API errors, rate limit responses are returned directly by the API gateway with an HTTP status code of 429, rather than in the response body with a 200 HTTP status. ```text HTTP/1.1 429 Too Many Requests ``` ## Error Code **500** ### Reason These errors are server-side, and a defect should be filed immediately. It could be that the query is not being used as intended, but the API should catch this. This error indicates that the API let the call through to the back-end service and the service is responding with an error. Essentially this is an “uncaught exception. ### Solution File an engineering case with the product team that owns this query. If possible, use a different query. ### Example Erroneous Query ```graphql mutation { takeOnDemandSnapshot(input: {workloadIds: "fef3f155-7092-5b19-bcea-fe8021c38dc6" slaId: "c2c3823f-d74d-49a1-afbe-8d7e0a4d3b7c"}) { taskchainUuids { taskchainUuid } } } ``` ### Example Error Response ```json { "data": null, "errors": [ { "message": "The on-demand snapshot is not supported for given workload type: Mssql", "path": [ "takeOnDemandSnapshot" ], "locations": [ { "line": 2, "column": 3 } ], "extensions": { "code": 500, "trace": { "operation": "/api/graphql", "traceId": "7hcbDGDPt7EqAkBQ1vSu/A==", "spanId": "HrzcWppCISg=" } } } ] } ``` ### Corrected Query ```graphql mutation { createOnDemandMssqlBackup( input: { id: "fef3f155-7092-5b19-bcea-fe8021c38dc6" config:{ baseOnDemandSnapshotConfig: { slaId: "c2c3823f-d74d-49a1-afbe-8d7e0a4d3b7c" } } }) { id } } ``` The query was updated to utilize the correct mutation for performing an on-demand snapshot of an MSSQL server. # API Reference Every query, mutation, and type in the Rubrik Security Cloud schema, generated directly from it. One endpoint serves all of it: ```text POST https://.my.rubrik.com/api/graphql ``` - **Queries** ______________________________________________________________________ Read operations. Inventory a workload, list snapshots, check compliance, poll a job. [Browse all 1,159 queries](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/queries/index.md) - **Mutations** ______________________________________________________________________ Write operations. Take a snapshot, assign an SLA, start a recovery, register a host. [Browse all 1,006 mutations](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/mutations/index.md) - **Types** ______________________________________________________________________ Objects, inputs, enums, interfaces, unions, and scalars. What a field returns and what an input accepts. [Browse all 7,837 types](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/types/index.md) ## Guess the URL Pages are named after the thing they document, so you can skip the indexes when you already know the name: | Looking for | Goes to | | ----------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- | | the `takeOnDemandSnapshot` mutation | [`mutations/takeOnDemandSnapshot/`](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/mutations/takeOnDemandSnapshot/index.md) | | the `AwsNativeS3Bucket` object | [`types/objects/AwsNativeS3Bucket/`](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/types/objects/AwsNativeS3Bucket/index.md) | | the `SlaAssignTypeEnum` enum | [`types/enums/SlaAssignTypeEnum/`](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/types/enums/SlaAssignTypeEnum/index.md) | Reference pages are not in site search There are over ten thousand of them, so they are excluded from the search index to keep search useful for the guides. Use the alphabetical indexes above, or guess the URL. ## Tracking changes The schema ships roughly weekly, and these pages are regenerated with it. - [Changelog](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/Changelog/index.md) — what was added, changed, and removed, by version - [Deprecations](https://developer.rubrik.com/Rubrik-Security-Cloud-API/API-Reference/Deprecations/index.md) — fields and types deprecated in the current schema Optional does not always mean optional A field the schema declares optional can still be required in practice, and a required input whose own fields are all optional will accept an empty object and then fail. The workload guides call out the cases where this bites. If a call type-checks and fails at run time, check the guide for that workload before assuming the reference is wrong. ## Where to start instead If you are not looking up something specific, the guides are a better entry point. They show working requests for real tasks, in GraphQL, PowerShell, and shell. [Data Protection guides](https://developer.rubrik.com/Rubrik-Security-Cloud-API/Data-Protection/index.md) · [Authentication](https://developer.rubrik.com/Rubrik-Security-Cloud-API/authentication/index.md) · [Pagination](https://developer.rubrik.com/Rubrik-Security-Cloud-API/pagination/index.md) · [Troubleshooting](https://developer.rubrik.com/Rubrik-Security-Cloud-API/troubleshooting/index.md) # GraphQL Schema Changelog *Generated on September 22, 2026 at 08:51 AM* This changelog documents the evolution of the GraphQL schema across 60 versions. Not every breaking change affects a generally available feature The schema also carries early access and in-development surfaces, which change more freely than shipped ones. Nothing in the schema marks which is which, so both appear here the same way. If an entry names a type or operation you do not recognize and are not calling, it is most likely one of those rather than a change to something you depend on. The reliable check is whether your own integrations reference the names listed. Search this page for the operations you call. ## September 14, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* 7 types removed - `AddMosaicStoreInput` - `DeleteMosaicStoreInput` - `ModifyMosaicStoreInput` - `MosaicAddStoreRequestInput` - `MosaicAddStoreRequestStoreType` - `MosaicAsyncResponse` - `MosaicModifyStoreRequestInput` 3 fields removed from `Mutation` - `addMosaicStore` - `deleteMosaicStore` - `updateMosaicStore` - `SCRIPT_REPORTS` enum value removed from enum `ReportCategory` - Input field `RegistryPatternSpecInputType.keyPattern` changed type from `String`! to `String` ### ⚡ May Require Changes *Your requests still work. Deprecations and shifted defaults to plan around.* - Argument before: String added to field `Query.browseSnapshotFileConnection` - Argument last: Int added to field `Query.browseSnapshotFileConnection` - Argument before: String added to field `Query.microsoftSites` - Argument last: Int added to field `Query.microsoftSites` - Argument policyRules: [TprPolicyRuleInput!] added to field `Query.tprRulesMap` - Argument policyScope: TprPolicyScope added to field `Query.tprRulesMap` ### ✨ Additions *Purely additive. Nothing you send today stops working. If you switch exhaustively on an enum, add a default case for newly added values.* - `CLUSTER_MANAGEMENT_TYPE` enum value added to enum `HierarchyFilterField` - `PERSONAL_ACCESS_TOKEN_CONFIG_SYNC` enum value added to enum `PendingActionSubGroupTypeEnum` - `ARC_VM_EXPORT` enum value added to enum `PermissionsGroup` - `CUSTOM_REPORTS` enum value added to enum `ReportCategory` - `SCALITY_RING` enum value added to enum `S3CompatibleSubType` 3 enum values added to enum `TprRule` - `RESTORE_AD_DOMAIN_CONTROLLER` - `RESTORE_AD_FOREST` - `RESTORE_AD_OBJECTS` - `MARIADB_INSTANCE` enum value added to enum `UserAuditObjectTypeEnum` - `kosmosTopologyStateId` field added to `AddMysqldbInstanceResponse` 23 types added - `AzureCosmosNosqlAccount` - `AzureCosmosNosqlContainer` - `AzureCosmosNosqlDatabase` - `AzureCosmosNosqlNetworkAccessMode` - `AzureCosmosNosqlThroughputMode` - `AzureCosmosNosqlThroughputScope` - `CdmApiOperation` - `ClusterManagementType` - `DeleteSnapshotsOfObjectsInput` - `K8sWorkloadComponentSummary` - `M365RecoveryOptionsInput` - `OpenstackAvailabilityZone` - `OpenstackDomain` - `OpenstackEnvironment` - `OpenstackHost` - `OpenstackImage` - `OpenstackImageVisibilityType` - `OpenstackProject` - `OpenstackRegion` - `ProtectedAction` - `ProxmoxVmSubObject` - `RegistryHiveRoot` - `RegistryValueType` - `azureCosmosNosqlContainerCount` field added to `AzureNativeResourceGroup` - `managementType` field added to `Cluster` - `description` field added to `CustomReportInfo` - `hasExocomputeLambdaRole` field added to `FeaturePermission` - `cloudAccountName` field added to `HarmfulLifecyclePolicy` 21 fields added to `K8sClusterSummary` - `backupSubnetCidr` - `dataPathTransport` - `dbServiceAccountInfo` - `effectiveSlaId` - `effectiveSlaSource` - `effectiveSlaType` - `helmStatus` - `helmVersion` - `isDbProtectionEnabled` - `k8SVersion` - `kubevirtVersion` - `kuprServerProxyPodMultusIp` - `loadbalancerIpDns` - `nadName` - `nadNamespace` - `namespaceCount` - `numLabels` - `numProtectionSets` - `numVms` - `port` - `workloads` - `restoreOrderTimeoutPolicy` input field added to `K8sExportParametersInput` - `restoreOrderTimeoutPolicy` input field added to `K8sRestoreParametersInput` - `deleteSnapshotsOfObjects` field added to `Mutation` - `nfsAuthMode` input field added to `NasSystemRegisterInput` - `smbAuthMode` input field added to `NasSystemRegisterInput` - `nfsAuthMode` input field added to `NasSystemUpdateInput` - `smbAuthMode` input field added to `NasSystemUpdateInput` - `kosmosTopologyStateId` field added to `PatchMysqldbInstanceResponse` 4 input fields added to `PostgresRestoreSettingsInput` - `customRestartScriptFile` - `customStartScriptFile` - `customStopScriptFile` - `shouldUseCustomRestartScript` 5 fields added to `ProxmoxStorageDomain` - `content` - `isActive` - `isEnabled` - `isShared` - `storageType` 3 fields added to `RegistryPatternSpec` - `hiveRoot` - `keyPath` - `valueTypeList` - `hiveRoot` input field added to `RegistryPatternSpecInputType` - `keyPath` input field added to `RegistryPatternSpecInputType` - `m365RecoveryOptions` input field added to `RestoreAzureAdObjectsWithPasswordsInput` - `proxmoxVmSubObj` field added to `SnapshotSubObj` - `protectedActions` field added to `TprPolicyDetail` - `protectedActions` field added to `TprRulesMap` - `nfsAuthMode` input field added to `UpdateNasNamespaceInputInput` - `smbAuthMode` input field added to `UpdateNasNamespaceInputInput` - Field `rscNativeObjectPendingSla` was added to interface AwsNativeHierarchyObject - Field `rscPendingObjectPauseAssignment` was added to interface AwsNativeHierarchyObject - Input field `valueTypeList` of type [RegistryValueType!] was added to input object type `RegistryPatternSpecInputType` ## September 07, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* - `PARTIALLY_SUCCEEDED` enum value removed from enum `WorkloadRecoveryStatusV2` ### ⚡ May Require Changes *Your requests still work. Deprecations and shifted defaults to plan around.* - Argument before: String added to field `CloudDirectNasBucket.childBuckets` - Argument last: Int added to field `CloudDirectNasBucket.childBuckets` - Argument before: String added to field `CloudDirectNasShare.childShares` - Argument last: Int added to field `CloudDirectNasShare.childShares` - Argument before: String added to field `ExchangeDag.descendantConnection` - Argument last: Int added to field `ExchangeDag.descendantConnection` - Argument before: String added to field `ExchangeHost.descendantConnection` - Argument last: Int added to field `ExchangeHost.descendantConnection` - Argument before: String added to field `ExchangeHost.physicalChildConnection` - Argument last: Int added to field `ExchangeHost.physicalChildConnection` - Argument before: String added to field `ExchangeServer.descendantConnection` - Argument last: Int added to field `ExchangeServer.descendantConnection` - Argument before: String added to field `KubernetesCluster.descendantConnection` - Argument last: Int added to field `KubernetesCluster.descendantConnection` - Argument before: String added to field `KubernetesCluster.k8sDescendantProtectionSets` - Argument last: Int added to field `KubernetesCluster.k8sDescendantProtectionSets` - Argument before: String added to field `KubernetesCluster.k8sDescendantVirtualMachines` - Argument last: Int added to field `KubernetesCluster.k8sDescendantVirtualMachines` - Argument before: String added to field `KubernetesNamespaceType.descendantConnection` - Argument last: Int added to field `KubernetesNamespaceType.descendantConnection` - Argument before: String added to field `KubernetesNamespaceType.kubernetesDescendantVirtualMachines` - Argument last: Int added to field `KubernetesNamespaceType.kubernetesDescendantVirtualMachines` - Argument before: String added to field `KubernetesVirtualMachine.k8sVirtualMachineDisks` - Argument last: Int added to field `KubernetesVirtualMachine.k8sVirtualMachineDisks` - Argument input: O365SaaSSetupKickoffInput added to field `Mutation.o365SaaSSetupKickoff` - MysqldbInstance object implements CdmHierarchySnappableNew interface - PostgreSQLDbCluster object implements CdmHierarchySnappableNew interface - Argument before: String added to field `Query.cloudDirectNasBuckets` - Argument last: Int added to field `Query.cloudDirectNasBuckets` - Argument before: String added to field `Query.cloudDirectNasNamespaces` - Argument last: Int added to field `Query.cloudDirectNasNamespaces` - Argument before: String added to field `Query.cloudDirectNasShares` - Argument last: Int added to field `Query.cloudDirectNasShares` - Argument before: String added to field `Query.cloudDirectNasSystems` - Argument last: Int added to field `Query.cloudDirectNasSystems` - Argument before: String added to field `Query.fusionComputeClusters` - Argument last: Int added to field `Query.fusionComputeClusters` - Argument before: String added to field `Query.fusionComputeClustersAndHosts` - Argument last: Int added to field `Query.fusionComputeClustersAndHosts` - Argument before: String added to field `Query.fusionComputeDatastores` - Argument last: Int added to field `Query.fusionComputeDatastores` - Argument before: String added to field `Query.fusionComputeHosts` - Argument last: Int added to field `Query.fusionComputeHosts` - Argument before: String added to field `Query.fusionComputeNetworks` - Argument last: Int added to field `Query.fusionComputeNetworks` - Argument before: String added to field `Query.fusionComputeRecoverableClustersAndHosts` - Argument last: Int added to field `Query.fusionComputeRecoverableClustersAndHosts` - Argument before: String added to field `Query.fusionComputeRecoverableDatastores` - Argument last: Int added to field `Query.fusionComputeRecoverableDatastores` - Argument before: String added to field `Query.fusionComputeRecoverableNetworks` - Argument last: Int added to field `Query.fusionComputeRecoverableNetworks` - Argument before: String added to field `Query.fusionComputeSites` - Argument last: Int added to field `Query.fusionComputeSites` - Argument before: String added to field `Query.fusionComputeVirtualMachines` - Argument last: Int added to field `Query.fusionComputeVirtualMachines` - Argument before: String added to field `Query.fusionComputeVrms` - Argument last: Int added to field `Query.fusionComputeVrms` - Default value for argument hostname on field `Query.isSfdcReachable` changed from rubrik.force.com to rubrikinc.my.site.com - Input field `SupportPortalLoginInput.hostname` default value changed from rubrik.force.com to rubrikinc.my.site.com - Enum value AzureAdRelationshipEnumType.SSO_POLICY_EXTENSION was deprecated with reason The SSO Policy Extension relationship has been removed. - Enum value AzureAdReverseRelationshipType.EXTENDED_SSO_POLICY was deprecated with reason The SsoPolicyExtension relationship has been removed. ### ✨ Additions *Purely additive. Nothing you send today stops working. If you switch exhaustively on an enum, add a default case for newly added values.* - `ORACLE_FAILOVER_CLUSTER` enum value added to enum `ActivityObjectTypeEnum` - `ORACLE_FAILOVER_SERVICE` enum value added to enum `ActivityObjectTypeEnum` - `PRE_SEEDING` enum value added to enum `ActivityTypeEnum` - `ORACLE_FAILOVER_CLUSTER` enum value added to enum `AuditObjectType` - `ORACLE_FAILOVER_SERVICE` enum value added to enum `AuditObjectType` 17 enum values added to enum `AwsCloudExternalArtifact` - `AWS_KMS_KEY_SHARING_ROLE_ARN` - `CCES_BAAS_ROLE_ARN` - `CLOUDACCOUNTS_ROLE_ARN` - `CLOUD_COST_REPORT_ROLE_ARN` - `CLOUD_DISCOVERY_ROLE_ARN` - `CLOUD_NATIVE_ARCHIVAL_ROLE_ARN` - `CLOUD_NATIVE_CONFIG_PROTECTION_ROLE_ARN` - `CLOUD_NATIVE_DYNAMODB_PROTECTION_ROLE_ARN` - `CLOUD_NATIVE_PROTECTION_ROLE_ARN` - `CLOUD_NATIVE_S3_PROTECTION_ROLE_ARN` - `CLOUD_NATIVE_UEM_KEY_MANAGEMENT_ROLE_ARN` - `CRITICAL_RESOURCE_PROTECTION_ROLE_ARN` - `DATA_CENTER_ROLE_BASED_ARCHIVAL_ROLE_ARN` - `EXOCOMPUTE_ROLE_ARN` - `KUBERNETES_PROTECTION_ROLE_ARN` - `RDS_PROTECTION_ROLE_ARN` - `SERVERS_AND_APPS_ROLE_ARN` - `AZURE_DEVOPS_ARTIFACTS_PROTECTION` enum value added to enum `CloudAccountFeature` - `ORACLE_FAILOVER_CLUSTER` enum value added to enum `EventObjectType` - `ORACLE_FAILOVER_SERVICE` enum value added to enum `EventObjectType` - `PRE_SEEDING` enum value added to enum `EventType` - `CONFLUENCE_SPACE_TYPE` enum value added to enum `HierarchyFilterField` - `EXCHANGE_SERVER_HOST_NAME` enum value added to enum `HierarchySortByField` - `CDM_USER_REPORT` enum value added to enum `PolarisReportViewType` - `END_TIME` enum value added to enum `RecoverySortType` - `RECOVERY_PLAN` enum value added to enum `RecoverySortType` - `CDM_USER_ALL_TABLE` enum value added to enum `TableViewType` - `ASSIGN_COPY_SCHEDULE` enum value added to enum `TprRule` - `MANAGE_COPY_SCHEDULE` enum value added to enum `TprRule` - `forestRootDomainSid` field added to `ActiveDirectoryDomainController` 84 types added - `ArchivedRecordCriteria` - `AzureNativeResourceGroupBase` - `CloudAccountEnabledFeature` - `DownloadSalesforceArchivedRecordsInput` - `DownloadSalesforceArchivedRecordsReply` - `EntraIdEventHubPermissionsStatus` - `ExportExchangeDatabaseInput` - `ExportExchangeDbJobConfigInput` - `GithubSlaConfig` - `GithubSlaConfigInput` - `KubernetesLabel` - `KubernetesLabelDescendantConnection` - `KubernetesLabelDescendantEdge` - `M365AccessMode` - `MssqlLogShippingApplyLogsInput` - `O365SaaSSetupKickoffInput` - `OlvmBackupScript` - `OlvmBackupScriptFailureHandling` - `OlvmComputeClusterDescendant` - `OlvmComputeClusterDescendantConnection` - `OlvmComputeClusterDescendantEdge` - `OlvmComputeClusterPhysicalChildType` - `OlvmComputeClusterPhysicalChildTypeConnection` - `OlvmComputeClusterPhysicalChildTypeEdge` - `OlvmComputeClusterV1` - `OlvmDatacenterDescendant` - `OlvmDatacenterDescendantConnection` - `OlvmDatacenterDescendantEdge` - `OlvmDatacenterPhysicalChildType` - `OlvmDatacenterPhysicalChildTypeConnection` - `OlvmDatacenterPhysicalChildTypeEdge` - `OlvmDatacenterV1` - `OlvmManagerDescendant` - `OlvmManagerDescendantConnection` - `OlvmManagerDescendantEdge` - `OlvmManagerPhysicalChildType` - `OlvmManagerPhysicalChildTypeConnection` - `OlvmManagerPhysicalChildTypeEdge` - `OlvmManagerV1` - `OlvmSnapshotConsistencyMandate` - `OlvmTagDescendant` - `OlvmTagDescendantConnection` - `OlvmTagDescendantEdge` - `OlvmTagLogicalChild` - `OlvmTagLogicalChildConnection` - `OlvmTagLogicalChildEdge` - `OlvmTagV1` - `OlvmVirtualMachineV1` - `ProxmoxClusterDescendant` - `ProxmoxClusterDescendantConnection` - `ProxmoxClusterDescendantEdge` - `ProxmoxClusterPhysicalChildType` - `ProxmoxClusterPhysicalChildTypeConnection` - `ProxmoxClusterPhysicalChildTypeEdge` - `ProxmoxClusterV1` - `ProxmoxEnvironmentDescendant` - `ProxmoxEnvironmentDescendantConnection` - `ProxmoxEnvironmentDescendantEdge` - `ProxmoxEnvironmentPhysicalChildType` - `ProxmoxEnvironmentPhysicalChildTypeConnection` - `ProxmoxEnvironmentPhysicalChildTypeEdge` - `ProxmoxEnvironmentV1` - `ProxmoxNodeDescendant` - `ProxmoxNodeDescendantConnection` - `ProxmoxNodeDescendantEdge` - `ProxmoxNodePhysicalChildType` - `ProxmoxNodePhysicalChildTypeConnection` - `ProxmoxNodePhysicalChildTypeEdge` - `ProxmoxNodeV1` - `ProxmoxStorageDomain` - `ProxmoxVirtualMachineV1` - `RecoveryPlanBasicInfoConnection` - `RecoveryPlanBasicInfoEdge` - `RecoveryPlanSortParamInput` - `RecoveryPlanSortType` - `SalesforceArchivalCascadeNodeInput` - `SalesforceRelationshipType` - `StartMssqlLogShippingApplyLogsJobInput` - `StartSalesforceArchivalJobInput` - `StartSalesforceArchivalJobReply` - `StartSalesforceObjectsUnarchiveInput` - `StartSalesforceObjectsUnarchiveReply` - `UnarchiveObjectInfo` - `UnarchiveRecordsInfo` - `isInfrastructureAlertsEnabled` field added to `AwsNativeDynamoDbTable` - `isInfrastructureAlertsEnabled` field added to `AwsNativeRdsInstance` - `eventHubPermissionsStatus` field added to `AzureAdDirectory` - `isRubrikManagedApp` field added to `AzureAdDirectory` - `accessMode` input field added to `CreateO365AppKickoffInput` - `isJitElevated` input field added to `CreateViolationRemediationInput` - `hasExocomputeLambdaRole` field added to `FeatureDetail` - `isProtectionOnboarded` field added to `GcpCloudSqlInstance` - `enabledFeatures` field added to `GcpNativeProject` - `legalHoldInfo` field added to `LegalHoldSnapshotDetail` - `databaseIds` field added to `MariadbInstanceAppMetadata` 5 fields added to `Mutation` - `downloadSalesforceArchivedRecords` - `exportExchangeDatabase` - `startMssqlLogShippingApplyLogsJob` - `startSalesforceArchivalJob` - `startSalesforceObjectsUnarchive` - `githubSlaConfig` field added to `ObjectSpecificConfigs` - `githubSlaConfigInput` input field added to `ObjectSpecificConfigsInput` - `recoveryPlansBasicInfo` field added to `Query` - `isJitElevated` input field added to `RemediationDetailsInput` - `isIpv4ManualDiscoveryMode` input field added to `ReplaceClusterNodeInput` - `isLssSupported` field added to `SapHanaSystemInformation` - `recoveryPurpose` field added to `VolumeGroupLiveMount` - `workloadRecoveryOutcome` field added to `WorkloadRecoveryInfoV2` - Field `newestIndexedSnapshot` was added to interface AzureNativeHierarchyObjectType - Field `newestSnapshot` was added to interface AzureNativeHierarchyObjectType - Field `oldestSnapshot` was added to interface AzureNativeHierarchyObjectType - Field `onDemandSnapshotCount` was added to interface AzureNativeHierarchyObjectType - Field `rscNativeObjectPendingSla` was added to interface AzureNativeHierarchyObjectType - Field `rscPendingObjectPauseAssignment` was added to interface AzureNativeHierarchyObjectType - Field `snapshotConnection` was added to interface AzureNativeHierarchyObjectType - Field `snapshotGroupByConnection` was added to interface AzureNativeHierarchyObjectType - Field `snapshotGroupByNewConnection` was added to interface AzureNativeHierarchyObjectType - Field `workloadSnapshotConnection` was added to interface AzureNativeHierarchyObjectType - Field `Mutation`.setMissingClusterStatus is deprecated - Field `Query`.allMissingClusters is deprecated ## August 31, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* 10 types removed - `MariadbDatabase` - `MariadbDatabaseMetadata` - `MariadbDatabaseProtectionState` - `MariadbInstance` - `MariadbInstanceAdvancedConfig` - `MariadbInstanceAuthenticationType` - `MariadbInstanceDetails` - `MariadbInstanceMetadata` - `MariadbInstanceSslConfig` - `MariadbInstanceStatus` - Field `MongoSource`.dataHosts changed type from `PhysicalHostConnection`! to `MongoDataHostsConnection`! - Input field `StartExportRdsInstanceJobInput.dbInstanceClass` changed type from `AwsNativeRdsDbInstanceClass`! to `AwsNativeRdsDbInstanceClass` - Input field `StartExportRdsInstanceJobInput.dbInstanceName` changed type from `String`! to `String` - Input field `StartExportRdsInstanceJobInput.isMultiAz` changed type from `Boolean`! to `Boolean` - Input field `StartExportRdsInstanceJobInput.isPubliclyAccessible` changed type from `Boolean`! to `Boolean` - Input field `StartExportRdsInstanceJobInput.port` changed type from `Long`! to `Long` - Input field `StartExportRdsInstanceJobInput.shouldExportTags` changed type from `Boolean`! to `Boolean` ### ⚡ May Require Changes *Your requests still work. Deprecations and shifted defaults to plan around.* - Argument before: String added to field `MssqlDatabase.liveMounts` - Argument last: Int added to field `MssqlDatabase.liveMounts` - Argument authorizedOperationFilter: Operation added to field `Query.azureSqlDatabaseServers` - Argument authorizedOperationFilter: Operation added to field `Query.azureSqlManagedInstanceServers` - Argument before: String added to field `Query.browseO365TeamConvChannels` - Argument last: Int added to field `Query.browseO365TeamConvChannels` - Argument before: String added to field `Query.browseSharepointDrive` - Argument last: Int added to field `Query.browseSharepointDrive` - Argument before: String added to field `Query.browseSharepointList` - Argument last: Int added to field `Query.browseSharepointList` - Argument before: String added to field `Query.browseTeamsChannels` - Argument last: Int added to field `Query.browseTeamsChannels` - Argument before: String added to field `Query.browseTeamsDrive` - Argument last: Int added to field `Query.browseTeamsDrive` - Argument before: String added to field `Query.configuredGroupMembers` - Argument last: Int added to field `Query.configuredGroupMembers` - Argument before: String added to field `Query.filesetTemplates` - Argument last: Int added to field `Query.filesetTemplates` - Argument before: String added to field `Query.hostShares` - Argument last: Int added to field `Query.hostShares` - Argument feature: CloudAccountFeature (with default value) added to field `Query.isAwsS3BucketNameAvailable` - Argument operationMode: M365DashboardOperationMode added to field `Query.m365OnboardingModeBackupStats` - Argument tunnelFilter: NodeTunnelFilter added to field `Query.nodeTunnelStatuses` - Argument before: String added to field `Query.physicalHosts` - Argument last: Int added to field `Query.physicalHosts` - Argument before: String added to field `Query.pureStorageArraysV1` - Argument last: Int added to field `Query.pureStorageArraysV1` - Argument before: String added to field `Query.pureStorageProtectionGroupsV1` - Argument last: Int added to field `Query.pureStorageProtectionGroupsV1` - Argument before: String added to field `Query.pureStorageVolumesV1` - Argument last: Int added to field `Query.pureStorageVolumesV1` - Input field `RemoveClusterNodesInput.nodeIds` default value changed from [] to undefined - Input field `RemoveNodeForReplacementInput.nodeIds` default value changed from [] to undefined - Input field `StartExportRdsInstanceJobInput.dbInstanceClass` default value changed from undefined to `UNKNOWN` ### ✨ Additions *Purely additive. Nothing you send today stops working. If you switch exhaustively on an enum, add a default case for newly added values.* 13 enum values added to enum `ActivityObjectTypeEnum` - `AGENT_CLOUD_MCP_SERVER` - `AZURE_COSMOS_NOSQL_ACCOUNT` - `AZURE_COSMOS_NOSQL_CONTAINER` - `AZURE_COSMOS_NOSQL_DATABASE` - `HVM_CLOUD` - `HVM_CLUSTER` - `HVM_DATASTORE` - `HVM_GROUP` - `HVM_HOST` - `HVM_INSTANCE` - `HVM_MANAGER` - `HVM_NETWORK` - `HVM_VIRTUAL_MACHINE` 12 enum values added to enum `AuditObjectType` - `AZURE_COSMOS_NOSQL_ACCOUNT` - `AZURE_COSMOS_NOSQL_CONTAINER` - `AZURE_COSMOS_NOSQL_DATABASE` - `HVM_CLOUD` - `HVM_CLUSTER` - `HVM_DATASTORE` - `HVM_GROUP` - `HVM_HOST` - `HVM_INSTANCE` - `HVM_MANAGER` - `HVM_NETWORK` - `HVM_VIRTUAL_MACHINE` 13 enum values added to enum `EventObjectType` - `AGENT_CLOUD_MCP_SERVER` - `AZURE_COSMOS_NOSQL_ACCOUNT` - `AZURE_COSMOS_NOSQL_CONTAINER` - `AZURE_COSMOS_NOSQL_DATABASE` - `HVM_CLOUD` - `HVM_CLUSTER` - `HVM_DATASTORE` - `HVM_GROUP` - `HVM_HOST` - `HVM_INSTANCE` - `HVM_MANAGER` - `HVM_NETWORK` - `HVM_VIRTUAL_MACHINE` - `AD_REPORT` enum value added to enum `FileTypeEnumType` 4 enum values added to enum `HierarchyFilterField` - `AZURE_COSMOS_NOSQL_CONTAINER_ACCOUNT_NAME` - `AZURE_COSMOS_NOSQL_CONTAINER_CONTINUOUS_BACKUP_ENABLED` - `AZURE_COSMOS_NOSQL_CONTAINER_DATABASE_NAME` - `AZURE_COSMOS_NOSQL_CONTAINER_NAME_OR_NATIVE_ID` 12 enum values added to enum `HierarchyObjectTypeEnum` - `AZURE_COSMOS_NOSQL_ACCOUNT` - `AZURE_COSMOS_NOSQL_CONTAINER` - `AZURE_COSMOS_NOSQL_DATABASE` - `HVM_CLOUD` - `HVM_CLUSTER` - `HVM_DATASTORE` - `HVM_GROUP` - `HVM_HOST` - `HVM_INSTANCE` - `HVM_MANAGER` - `HVM_NETWORK` - `HVM_VIRTUAL_MACHINE` - `AZURE_COSMOS_NOSQL_CONTAINER_ACCOUNT_NAME` enum value added to enum `HierarchySortByField` - `AZURE_COSMOS_NOSQL_CONTAINER_DATABASE_NAME` enum value added to enum `HierarchySortByField` - `HVM_ROOT` enum value added to enum `InventorySubHierarchyRootEnum` 12 enum values added to enum `ManagedObjectType` - `AZURE_COSMOS_NOSQL_ACCOUNT` - `AZURE_COSMOS_NOSQL_CONTAINER` - `AZURE_COSMOS_NOSQL_DATABASE` - `HVM_CLOUD` - `HVM_CLUSTER` - `HVM_DATASTORE` - `HVM_GROUP` - `HVM_HOST` - `HVM_INSTANCE` - `HVM_MANAGER` - `HVM_NETWORK` - `HVM_VIRTUAL_MACHINE` - `AZURE_COSMOS_NOSQL_CONTAINER` enum value added to enum `ObjectTypeEnum` - `HVM_VIRTUAL_MACHINE` enum value added to enum `ObjectTypeEnum` - `HVM_OBJECT_TYPE` enum value added to enum `SlaObjectType` - `PING_FEDERATE_CLUSTER` enum value added to enum `UserAuditObjectTypeEnum` 5 enum values added to enum `WorkloadLevelHierarchy` - `ANTHROPIC_CHILD_ORG_SETTINGS` - `ANTHROPIC_DEVICE` - `ANTHROPIC_ORG_SETTINGS` - `ANTHROPIC_USER_CLAUDE_CHAT` - `AZURE_COSMOS_NOSQL_CONTAINER` - `PARTIALLY_SUCCEEDED` enum value added to enum `WorkloadRecoveryStatusV2` - `prioritizedOnboardingSpec` input field added to `AddO365OrgInput` 57 types added - `AnthropicOrg` - `AzureDevOpsProjectMissingPermission` - `EncryptedFileRecoverySpecInput` - `EntraIdLinkedServicePrincipal` - `GetImageClassificationClusterConfigsReply` - `HypervisorSlaDomainInfo` - `HypervisorVirtualMachine` - `HypervisorVirtualMachineDetails` - `HypervisorVirtualMachineV1` - `ImageClassificationClusterConfig` - `M365AccessRecoveryConfig` - `M365AccessRecoveryState` - `MongoDataHostsConnection` - `MysqldbPerReplicaRestoreSettingsInput` - `NodeTunnelFilter` - `O365SetupOperationMode` - `OpenstackAvailabilityZoneDescendantType` - `OpenstackAvailabilityZonePhysicalChildType` - `OpenstackDomainDescendantType` - `OpenstackDomainLogicalChildType` - `OpenstackEnvironmentDescendantType` - `OpenstackEnvironmentLogicalChildType` - `OpenstackEnvironmentPhysicalChildType` - `OpenstackHostDescendantType` - `OpenstackHostPhysicalChildType` - `OpenstackNetworkTags` - `OpenstackProjectDescendantType` - `OpenstackProjectLogicalChildType` - `OpenstackRegionDescendantType` - `OpenstackRegionPhysicalChildType` - `OpenstackTag` - `OpenstackTagDescendantType` - `OpenstackTagLogicalChildType` - `OpenstackVirtualMachine` - `OpenstackVmAgentStatus` - `PrioritizedOnboardingSpec` - `ProxmoxVirtualMachineDetails` - `QuarantinedFileRecoverySpecInput` - `RscpUpgradeMode` - `RscpUpgradeStatus` - `SailPointIntegrationConfig` - `SailPointIntegrationConfigInput` - `SailPointStatus` - `SailPointStatusCode` - `SailPointStatusInput` - `SlaAssignmentType` - `SsoRecoveryOptionInput` - `SsoSigningCertConfigInput` - `StartRscpPackageDownloadInput` - `StartRscpPackageDownloadReply` - `StartRscpUpgradeInput` - `StartRscpUpgradeReply` - `SurgicalRecoveryConfigInput` - `UpdateImageClassificationConfigInput` - `UpdateImageClassificationConfigReply` - `UpgradeTargetType` - `VirtualMachinesOneof` - `linkedServicePrincipal` field added to `AzureAdApplication` - `m365AccessRecoveryState` field added to `AzureAdDirectory` - `hasSigningCert` field added to `AzureAdServicePrincipal` - `isMissingDeveloperCollaborationAccess` field added to `AzureDevOpsProject` - `isSupportTunnelEnabled` input field added to `ClusterFilterInput` - `workloadId` input field added to `CompleteAzureCloudAccountOauthInput` - `targetType` input field added to `CompleteUploadSessionInput` - `shouldAllowSwitchToBackfillOnboardingMode` field added to `ComplianceState` - `targetType` input field added to `ConfirmPartUploadInput` - `tunnelEnabledClusters` field added to `CountClustersReply` - `maxTimeTravelHours` field added to `GcpBigQueryDataset` - `targetType` input field added to `GeneratePresignedUrlForDownloadInput` - `targetType` input field added to `GeneratePresignedUrlForPartUploadInput` - `memoryMb` field added to `HypervAppMetadata` - `numVirtualCpus` field added to `HypervAppMetadata` - `targetType` input field added to `InitializeUploadSessionInput` - `sailPoint` field added to `IntegrationConfig` - `sailPoint` input field added to `IntegrationConfigInput` - `targetType` input field added to `ListAllUploadRecordsInput` - `prioritizedOnboardingDays` field added to `M365ProductOperationMode` 3 fields added to `Mutation` - `startRscpPackageDownload` - `startRscpUpgrade` - `updateImageClassificationConfig` - `backupSource` field added to `MysqldbInstanceAppMetadata` - `assetId` field added to `NodeStatus` - `nodeIp` field added to `NodeTunnelStatus` - `prioritizedOnboardingSpec` input field added to `O365SaasSetupCompleteInput` - `ssoRecoveryOption` input field added to `ObjectRecoveryOptionsType` - `imageClassificationClusterConfigs` field added to `Query` - `rscpUpgradeStatus` field added to `Query` - `overusageGraceStartedAt` field added to `RcvEntitlementsUsageDetails` - `targetType` input field added to `RemoveUploadRecordInput` - `m365AccessRecoveryConfig` input field added to `StartAzureAdAppSetupInput` - `isExchangeAdminRoleAssigned` field added to `StartAzureAdAppSetupReply` - `missingM365Permissions` field added to `StartAzureAdAppSetupReply` - `m365AccessRecoveryConfig` input field added to `StartAzureAdAppUpdateInput` - `workloadId` input field added to `StartAzureCloudAccountOauthInput` - `surgicalRecoveryConfig` input field added to `StartEc2InstanceSnapshotExportJobInput` - `surgicalRecoveryConfig` input field added to `StartRestoreAwsNativeEc2InstanceSnapshotJobInput` - Input field `multiMysqldbRestoreSettings` of type [MysqldbPerReplicaRestoreSettingsInput!] with default value [] was added to input object type `MysqldbAutomatedRestoreConfigInput` - Input field `resource` of type `AzureOauthResource` with default value AZURE_RESOURCE_MANAGER was added to input object type `StartAzureCloudAccountOauthInput` - Input field `exportS3BucketName` of type `String` with default value "" was added to input object type `StartExportRdsInstanceJobInput` - Input field `shouldCreateS3Bucket` of type `Boolean` with default value false was added to input object type `StartExportRdsInstanceJobInput` - Input field `shouldExportToS3` of type `Boolean` with default value false was added to input object type `StartExportRdsInstanceJobInput` ## August 24, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* - `D365DataverseTable` type removed - Field `AirMcpGatewayConnectionData`.idpTenantId changed type from `UUID`! to `String`! - Input field `memberServerIds` was removed from input object type `AirUpdateMcpGatewayInput` - Input field `cloudInstanceId` was removed from input object type `HostRegisterInput` - Input field `id` was removed from input object type `HostRegisterInput` - Input field `connectionInfo` was removed from input object type `MysqldbHaReplicaConfigInput` - Input field `UpgradeGcpCloudAccountPermissionsWithoutOauthInput.feature` changed type from `CloudAccountFeature`! to `CloudAccountFeature` ### ⚡ May Require Changes *Your requests still work. Deprecations and shifted defaults to plan around.* - M365BackupStorageGroup object implements PolarisHierarchySnappable interface - M365BackupStorageOrg object implements PolarisHierarchySnappable interface - O365Group object implements PolarisHierarchySnappable interface - O365Org object implements PolarisHierarchySnappable interface - Argument after: String added to field `Query.allMissingClusters` - Argument before: String added to field `Query.allMissingClusters` - Default value CONNECTION_STATUS_NOT_SPECIFIED was added to argument connectionStatus on field `Query.allMissingClusters` - Argument first: Int added to field `Query.allMissingClusters` - Argument last: Int added to field `Query.allMissingClusters` - Argument after: String added to field `Query.azureSubnets` - Argument before: String added to field `Query.azureSubnets` - Argument first: Int added to field `Query.azureSubnets` - Argument last: Int added to field `Query.azureSubnets` - Argument before: String added to field `Query.browseOnedrive` - Argument last: Int added to field `Query.browseOnedrive` - Argument before: String added to field `Query.microsoftGroups` - Argument last: Int added to field `Query.microsoftGroups` - Argument before: String added to field `Query.o365Groups` - Argument last: Int added to field `Query.o365Groups` - Argument resourceIds: [UUID!] added to field `Query.o365License` - Argument before: String added to field `Query.o365Mailboxes` - Argument last: Int added to field `Query.o365Mailboxes` - Argument before: String added to field `Query.o365Onedrives` - Argument last: Int added to field `Query.o365Onedrives` - Argument before: String added to field `Query.o365Orgs` - Argument last: Int added to field `Query.o365Orgs` - Argument before: String added to field `Query.o365SharepointDrives` - Argument last: Int added to field `Query.o365SharepointDrives` - Argument before: String added to field `Query.o365SharepointLists` - Argument last: Int added to field `Query.o365SharepointLists` - Argument before: String added to field `Query.o365SharepointObjectList` - Argument last: Int added to field `Query.o365SharepointObjectList` - Argument before: String added to field `Query.o365SharepointObjectsNew` - Argument last: Int added to field `Query.o365SharepointObjectsNew` - Argument before: String added to field `Query.o365SharepointSites` - Argument last: Int added to field `Query.o365SharepointSites` - Argument before: String added to field `Query.o365Sites` - Argument last: Int added to field `Query.o365Sites` - Argument before: String added to field `Query.o365TeamChannels` - Argument last: Int added to field `Query.o365TeamChannels` - Argument before: String added to field `Query.o365TeamPostedBy` - Argument last: Int added to field `Query.o365TeamPostedBy` - Argument before: String added to field `Query.o365Teams` - Argument last: Int added to field `Query.o365Teams` - Argument before: String added to field `Query.o365UserObjects` - Argument last: Int added to field `Query.o365UserObjects` - Argument before: String added to field `Query.snappableTeamsDriveSearch` - Argument last: Int added to field `Query.snappableTeamsDriveSearch` - Enum value PendingActionSubGroupTypeEnum.ARCHIVAL_LOCATION_DISABLE was deprecated with reason Nothing creates this type; it will be removed in a future release. - Enum value PendingActionSubGroupTypeEnum.ARCHIVAL_LOCATION_ENABLE was deprecated with reason Nothing creates this type; it will be removed in a future release. - Enum value PendingActionSubGroupTypeEnum.ARCHIVAL_LOCATION_PAUSE was deprecated with reason Nothing creates this type; it will be removed in a future release. - Enum value PendingActionSubGroupTypeEnum.ARCHIVAL_LOCATION_RESUME was deprecated with reason Nothing creates this type; it will be removed in a future release. - Enum value PendingActionSubGroupTypeEnum.AWS_ROLE_BASED_ARCHIVAL_LOCATION was deprecated with reason Nothing creates this type; it will be removed in a future release. - Enum value PendingActionSyncType.DERIVED was deprecated with reason Nothing returns this sync type; it will be removed in a future release. ### ✨ Additions *Purely additive. Nothing you send today stops working. If you switch exhaustively on an enum, add a default case for newly added values.* 4 enum values added to enum `ActivityObjectTypeEnum` - `AZURE_LOCAL_SUBSCRIPTION` - `K8S_POSTGRES_DATABASE` - `K8S_POSTGRES_DB_CLUSTER` - `OPENSTACK_TAG` - `REENCRYPTION` enum value added to enum `ActivityTypeEnum` - `K8S_POSTGRES_DB_CLUSTER` enum value added to enum `AuditObjectType` - `OPENSTACK_TAG` enum value added to enum `AuditObjectType` - `MANAGE_RSCP_UPGRADE` enum value added to enum `AuthorizedOperation` - `VIEW_RSCP_UPGRADE` enum value added to enum `AuthorizedOperation` 4 enum values added to enum `AzureAdObjectType` - `CLAIMS_MAPPING_POLICY` - `HOME_REALM_DISCOVERY_POLICY` - `TOKEN_ISSUANCE_POLICY` - `TOKEN_LIFETIME_POLICY` - `SSO_POLICY_APPLIES_TO` enum value added to enum `AzureAdRelationshipEnumType` - `SSO_POLICY_EXTENSION` enum value added to enum `AzureAdRelationshipEnumType` - `APPLIED_SSO_POLICY` enum value added to enum `AzureAdReverseRelationshipType` - `EXTENDED_SSO_POLICY` enum value added to enum `AzureAdReverseRelationshipType` - `AWS_KMS_KEY_SHARING` enum value added to enum `CloudAccountFeature` - `RSCP_VM` enum value added to enum `ClusterProductType` 5 enum values added to enum `DataGovObjectType` - `PROXMOX_CLUSTER` - `PROXMOX_ENVIRONMENT` - `PROXMOX_NODE` - `PROXMOX_ROOT` - `PROXMOX_VIRTUAL_MACHINE` - `DATABASE_TYPE_SAP_HANA` enum value added to enum `DatabaseType` 4 enum values added to enum `EventObjectType` - `AZURE_LOCAL_SUBSCRIPTION` - `K8S_POSTGRES_DATABASE` - `K8S_POSTGRES_DB_CLUSTER` - `OPENSTACK_TAG` - `REENCRYPTION` enum value added to enum `EventType` - `IRISDB_CONNECTION_STATUS` enum value added to enum `HierarchyFilterField` - `IRISDB_HOST_ID` enum value added to enum `HierarchyFilterField` 3 enum values added to enum `HierarchyObjectTypeEnum` - `K8S_POSTGRES_DATABASE` - `K8S_POSTGRES_DB_CLUSTER` - `OPENSTACK_TAG` - `BACKFILL_ONBOARDING` enum value added to enum `M365DashboardOperationMode` - `PRIORITIZED_ONBOARDING` enum value added to enum `M365DashboardOperationMode` 3 enum values added to enum `ManagedObjectType` - `K8S_POSTGRES_DATABASE` - `K8S_POSTGRES_DB_CLUSTER` - `OPENSTACK_TAG` - `ARCHIVAL_LOCATION` enum value added to enum `NotificationResourceType` - `SUPPORT_CASE` enum value added to enum `NotificationResourceType` - `K8S_POSTGRES_DB_CLUSTER` enum value added to enum `ObjectTypeEnum` - `MANAGE_RSCP_UPGRADE` enum value added to enum `Operation` - `VIEW_RSCP_UPGRADE` enum value added to enum `Operation` - `EXPORT` enum value added to enum `PermissionsGroup` - `EXPORT_FILES` enum value added to enum `PolarisSnappableAuthorizedOperationsEnum` - `REMOVAL_IN_PROGRESS` enum value added to enum `PrivateEndpointConnectionStatus` - `SPARSE_AWARE_SIZE` enum value added to enum `ReportMeasure` 3 enum values added to enum `SnapshotLocType` - `SNAPSHOT_LOCATION_TYPE_BACKUP` - `SNAPSHOT_LOCATION_TYPE_REPLICATION` - `SNAPSHOT_LOCATION_TYPE_SOURCE` 80 types added - `AppItemRestoreConfig` - `AppItemRestoreInfo` - `AppItemWithCascadingImpact` - `CascadingImpactActionType` - `CascadingImpactResolutionMode` - `CascadingImpactResult` - `ChildRestoreItemCriteria` - `ClassificationDataTypeIdToMaskingTechnique` - `Condition` - `ConditionValue` - `DataMaskingConfigInput` - `DownloadSalesforcePermissionsInput` - `DownloadSalesforcePermissionsReply` - `Dynamics365RestoreConfig` - `EntraIdClaimsMappingPolicy` - `EntraIdHomeRealmDiscoveryPolicy` - `EntraIdTokenIssuancePolicy` - `EntraIdTokenIssuanceSigningAlgorithm` - `EntraIdTokenLifetimePolicy` - `EntraIdTokenResponseSigningPolicy` - `ExcludedChildDetails` - `FieldOverrideInput` - `GcpBigQueryDataset` - `GcpBigQueryLocation` - `GcpBigQueryModel` - `GcpBigQueryRoutine` - `GcpBigQueryTable` - `GcpBigQueryView` - `HarmfulLifecyclePolicy` - `HarmfulLifecyclePolicyConnection` - `HarmfulLifecyclePolicyEdge` - `HarmfulLifecyclePolicyFilter` - `HypervStandaloneNicSpec` - `HypervStandaloneNicSpecInput` - `HypervStandaloneTarget` - `HypervStandaloneTargetInput` - `HypervTargetConfig` - `HypervTargetConfigInput` - `HypervVmRecoverySpec` - `HypervVmRecoverySpecInput` - `HypervisorEnvironment` - `HypervisorEnvironmentDetails` - `HypervisorEnvironmentTypeOneof` - `HypervisorEnvironmentV1` - `HypervisorSpecificDetails` - `IpAllocationMethod` - `IrisdbSlaConfig` - `MariadbInstanceAppMetadata` - `MariadbSnapshotType` - `MaskingExclusionInput` - `MaskingOverrideInput` - `MaskingTechnique` - `MysqlBackupNodePreference` - `NetworkPreservationMode` - `NicIpConfig` - `Operator` - `PermissionReportType` - `PermissionType` - `ProxmoxDetails` - `ProxmoxEnvironmentDetails` - `RecordFilter` - `RecoveryMethod` - `RelationshipType` - `RestoreDataType` - `RestoreItemCriteria` - `RestoreItemInfo` - `RestoreOperationType` - `SaasAppSpecificRestoreConfig` - `SaasAppsCascadingImpactOperationType` - `SaasSortByParam` - `SalesforceRestoreConfig` - `StartInPlaceDataMaskingInput` - `StartInPlaceDataMaskingReply` - `StartSalesforcePermissionAssessmentInput` - `StartSalesforcePermissionAssessmentReply` - `TaskInfo` - `TaskListRestoreInfo` - `TasksRestoreConfig` - `VolumeGroup` - `VolumeGroupMountSnapshotJobConfigRecoveryPurpose` - `id` field added to `AwsAccountValidationResponse` - `serviceType` field added to `AwsAccountValidationResponse` - `orgId` field added to `AwsNativeAccount` 4 fields added to `AzureAdObjects` - `entraIdClaimsMappingPolicy` - `entraIdHomeRealmDiscoveryPolicy` - `entraIdTokenIssuancePolicy` - `entraIdTokenLifetimePolicy` - `apps` field added to `AzureCloudAccountTenantWithExoConfigs` - `pullRequestCount` field added to `AzureDevOpsProjectFixedObjectCounts` - `authType` input field added to `AzureListManagementGroupHierarchyReq` - `app` field added to `AzureSubscriptionWithExoConfigs` - `mariadbInstanceAppMetadata` field added to `CdmSnapshot` - `isTunnelEnabled` field added to `Cluster` - `assetId` field added to `ClusterNode` - `awsKmsKey` input field added to `CreateCloudNativeAzureStorageSettingInput` - `dsrmAdminPassword` input field added to `DomainControllerRestoreConfigInput` - `recoveryMethod` input field added to `DomainControllerRestoreConfigInput` - `taskCount` field added to `ExchangeAnalysisResult` - `isProtectionOnboarded` field added to `GcpAlloyDbCluster` - `isProtectionOnboarded` field added to `GcpNativeDisk` - `isProtectionOnboarded` field added to `GcpNativeGceInstance` - `prioritizedOnboardingEndTime` field added to `M365ProductOperationMode` - `prioritizedOnboardingStartTime` field added to `M365ProductOperationMode` - `disableStrictSyncForMssqlLiveMount` field added to `MssqlHostConfiguration` 4 fields added to `Mutation` - `downloadSalesforcePermissions` - `startInPlaceDataMasking` - `startSaasAppItemsRestore` - `startSalesforcePermissionAssessment` - `backupNodePreference` field added to `MysqlHaClusterInfo` 11 fields added to `MysqlTopologyReplicaInfo` - `authenticationType` - `bindIpAddress` - `mysqlBinaryPath` - `mysqlVersion` - `portNumber` - `socketFilePath` - `sslCaCertFilePath` - `sslCertFilePath` - `sslKeyFilePath` - `systemUsername` - `username` - `shouldReplayCapturedSchema` input field added to `MysqldbAutomatedRestoreConfigInput` - `perReplicaConnectionInfo` input field added to `MysqldbHaReplicaConfigInput` - `irisdbSlaConfig` field added to `ObjectSpecificConfigs` 3 fields added to `Query` - `harmfulLifecyclePolicies` - `kubernetesRecoverableClusters` - `saasAppCascadingImpact` - `s3EndpointStatus` field added to `RcvAwsPrivateConnectivityEndpoints` - `stsEndpointStatus` field added to `RcvAwsPrivateConnectivityEndpoints` - `expirationDate` field added to `RcvEntitlement` - `totalTasks` field added to `RecoveryAnalysisSummary` - `region` field added to `RecoveryPlanAwsAccount` - `region` field added to `RecoveryPlanAzureSubscription` - `tasksRestoreConfig` input field added to `SnappableRestoreConfig` - `type` field added to `SnapshotLocationDetail` - `isCdmEnforcementDisabled` field added to `UpdateTprPolicyDataMangementClusterReqChangesTemplate` - `isCdmEnforcementDisabled` field added to `UpdateTprPolicyDataMangementObjectReqChangesTemplate` - `isCdmEnforcementDisabled` field added to `UpdateTprPolicyDataMangementSlaReqChangesTemplate` - `isCdmEnforcementDisabled` field added to `UpdateTprPolicySystemConfigReqChangesTemplate` - `recoveryPurpose` input field added to `VolumeGroupMountSnapshotJobConfigInput` - `hypervVm` field added to `WorkloadSpecificRecoverySpec` - `hypervVm` input field added to `WorkloadSpecificRecoverySpecInput` - Field `Query`.accountSettings is deprecated - Field `RcvEntitlementWithExpirationDate`.bundle is deprecated - Deprecation reason on field `RdsInstanceExportDefaults.supportedDbEngineVersions` has changed from `Use` available_db_engine_versions instead. to `Use` availableDbEngineVersions instead. - Input field `featuresToUpgrade` of type [FeatureWithPermissionsGroups!] was added to input object type `UpgradeGcpCloudAccountPermissionsWithoutOauthInput` - Input field `excludePaths` of type [String!] with default value [] was added to input object type `VolumeGroupMountSnapshotJobConfigInput` - Type cascadingImpactKeys was added ## August 17, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* 6 types removed - `PowerPlatformApp` - `PowerPlatformAppStatus` - `PowerPlatformAppType` - `PowerPlatformFlow` - `PowerPlatformFlowStatus` - `PowerPlatformFlowType` - `objectDeletedAt` field added to `GetAnomalyDetailsReply` ### ⚡ May Require Changes *Your requests still work. Deprecations and shifted defaults to plan around.* - Argument anomalyCategoryFilter: [WorkloadAnomalyCategory!] added to field `Query.workloadAnomalies` ### ✨ Additions *Purely additive. Nothing you send today stops working. If you switch exhaustively on an enum, add a default case for newly added values.* - `INFRASTRUCTURE_DELETION` enum value added to enum `AnomalyType` - `UNRECOGNIZED` enum value added to enum `AnomalyType` - `CLOUD_COST_REPORT` enum value added to enum `AwsNativeProtectionFeature` - `ENCRYPTION_TYPE_NON_UEM_BYOK` enum value added to enum `EncryptionType` - `SECURITY_IDP_HAS_ENABLED_USER_WITH_LABEL` enum value added to enum `FilterType` - `SECURITY_SAAS_ACTIVITY_ACTOR_TYPE` enum value added to enum `FilterType` - `IOC_REGISTRY` enum value added to enum `IndicatorOfCompromiseKind` - `DELETION` enum value added to enum `PendingActionGroupTypeEnum` - `DELETE_SNAPSHOTS` enum value added to enum `PendingActionSubGroupTypeEnum` - `DELETE_SNAPSHOTS_OF_OBJECTS` enum value added to enum `PendingActionSubGroupTypeEnum` - `TASKS` enum value added to enum `SnappableType` - `CNP_OBJECT_CAPACITY_BY_CLOUD_ACCOUNT_NAME_TABLE` enum value added to enum `TableViewType` - `nativeId` field added to `AwsNativeAccount` - `latestCleanSnapshotTime` field added to `AwsNativeS3Bucket` 15 types added - `AzureAuthType` - `AzureCloudAccountTenantApp` - `AzureOnboardingIneligibilityReason` - `CloudAuditEvent` - `CloudNativeTagRuleHierarchy` - `D365DataverseTable` - `O365TodoTask` - `O365TodoTaskFolder` - `RegistryPatternSpec` - `RegistryPatternSpecInputType` - `TasksSearchFilter` - `TasksSearchKeywordFilter` - `TasksSearchObjectFilter` - `TasksSearchObjectType` - `WorkloadAnomalyCategory` - `app` field added to `AzureCloudAccountSubscription` - `ineligibilityReason` field added to `AzureCloudAccountSubscription` - `app` field added to `AzureCloudAccountSubscriptionDetail` - `apps` field added to `AzureCloudAccountTenant` - `ineligibilityReason` field added to `AzureManagementGroupEntity` - `app` field added to `AzureSubscriptionWithFeaturesType` - `app` field added to `CloudAccountsAzureSubscription` - `ineligibilityReason` field added to `CloudAccountsAzureSubscription` - `proxySettings` input field added to `CreateAutomaticRcsTargetMappingInput` - `shouldBypassProxyForDatapaths` input field added to `CreateAutomaticRcsTargetMappingInput` - `proxySettings` input field added to `CreateRcsReaderTargetInput` - `shouldBypassProxyForDatapaths` input field added to `CreateRcsReaderTargetInput` - `proxySettings` input field added to `CreateRcsTargetInput` - `shouldBypassProxyForDatapaths` input field added to `CreateRcsTargetInput` - `proxySettings` input field added to `CreateRcvLocationsFromTemplateInput` - `shouldBypassProxyForDatapaths` input field added to `CreateRcvLocationsFromTemplateInput` - `shouldIncludeDiagnosticDetails` input field added to `ExocomputeHealthChecksReq` - `location` field added to `FailoverGroupWorkload` - `locationId` field added to `FailoverGroupWorkload` 3 fields added to `GetAnomalyDetailsReply` - `anomalyCategory` - `cloudAuditEvent` - `isCriticalResourceMonitored` - `browseTasks` field added to `Query` - `snappableTaskSearch` field added to `Query` - `version` field added to `ReclaimableClusterStatsData` - `registryPatterns` field added to `ThreatHuntBaseConfig` - `registryPatterns` field added to `ThreatHuntConfig` - `proxySettings` input field added to `UpdateRcsAutomaticTargetMappingInput` - `shouldBypassProxyForDatapaths` input field added to `UpdateRcsAutomaticTargetMappingInput` - `proxySettings` input field added to `UpdateRcvTargetInput` - `shouldBypassProxyForDatapaths` input field added to `UpdateRcvTargetInput` - `anomalyCategory` field added to `WorkloadAnomaly` - `isInfrastructureAlertsEnabled` field added to `WorkloadAnomaly` - Input field `registryPatterns` of type [RegistryPatternSpecInputType!] was added to input object type `ThreatHuntBaseConfigInputType` - Field `WorkloadRecoveryInfo`.oldWorkloadId is deprecated ## August 10, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* 114 types removed - `AddMosaicSourceInput` - `AssignProtectionInput` - `BulkDeleteMosaicSourcesInput` - `BulkDeleteSourceRequestInput` - `CassandraBackupParams` - `CassandraColumnFamily` - `CassandraColumnFamilyConnection` - `CassandraColumnFamilyEdge` - `CassandraColumnObject` - `CassandraKeyspace` - `CassandraKeyspaceConnection` - `CassandraKeyspaceDescendantType` - `CassandraKeyspaceDescendantTypeConnection` - `CassandraKeyspaceDescendantTypeEdge` - `CassandraKeyspaceEdge` - `CassandraKeyspacePhysicalChildType` - `CassandraKeyspacePhysicalChildTypeConnection` - `CassandraKeyspacePhysicalChildTypeEdge` - `CassandraSchemaObject` - `CassandraSource` - `CassandraSourceConnection` - `CassandraSourceDescendantType` - `CassandraSourceDescendantTypeConnection` - `CassandraSourceDescendantTypeEdge` - `CassandraSourceEdge` - `CassandraSourcePhysicalChildType` - `CassandraSourcePhysicalChildTypeConnection` - `CassandraSourcePhysicalChildTypeEdge` - `CassandraSourceStatus` - `CassandraSslOptions` - `DeleteMosaicSourceInput` - `GetMosaicRecoverableRangeInput` - `GetMosaicRecoverableRangeResponse` - `GetMosaicStoreInput` - `GetMosaicTableSchemaInput` - `GetMosaicVersionInput` - `GetSchemaResponse` - `KosmosTopologyReplicaInfo` - `ListStoreResponse` - `ListVersionResponse` - `ModifyMosaicSourceInput` - `MongodbBackupParams` - `MongodbCollection` - `MongodbCollectionConnection` - `MongodbCollectionEdge` - `MongodbDatabase` - `MongodbDatabaseConnection` - `MongodbDatabaseDescendantType` - `MongodbDatabaseDescendantTypeConnection` - `MongodbDatabaseDescendantTypeEdge` - `MongodbDatabaseEdge` - `MongodbDatabasePhysicalChildType` - `MongodbDatabasePhysicalChildTypeConnection` - `MongodbDatabasePhysicalChildTypeEdge` - `MongodbHost` - `MongodbSource` - `MongodbSourceConfigParams` - `MongodbSourceConnection` - `MongodbSourceDescendantType` - `MongodbSourceDescendantTypeConnection` - `MongodbSourceDescendantTypeEdge` - `MongodbSourceEdge` - `MongodbSourcePhysicalChildType` - `MongodbSourcePhysicalChildTypeConnection` - `MongodbSourcePhysicalChildTypeEdge` - `MongodbSourceStatus` - `MongodbSslOptions` - `MosaicBackupStoreInfoInput` - `MosaicBulkRecoverableRangeRequestInput` - `MosaicBulkRecoverableRangeRequestSourceType` - `MosaicBulkRecoveryRangeInput` - `MosaicDatabaseManagementObjectInput` - `MosaicDatabaseObjectInput` - `MosaicGetSchemaRequestInput` - `MosaicMonitorInfoInput` - `MosaicRecoverableRangeObject` - `MosaicRecoverableRangeRequestInput` - `MosaicRecoverableRangeRequestSourceType` - `MosaicRecoveryRangeObject` - `MosaicRecoveryRangeResponse` - `MosaicRestoreDataInput` - `MosaicRetrieveRequestInput` - `MosaicRetrieveRequestSourceType` - `MosaicSlaInfoInput` - `MosaicSnapshot` - `MosaicSnapshotConnection` - `MosaicSnapshotEdge` - `MosaicSnapshotFilterInput` - `MosaicSnapshotGroupBy` - `MosaicSnapshotGroupByInfo` - `MosaicSnapshotGroupByType` - `MosaicSnapshotGroupByTypeConnection` - `MosaicSnapshotGroupByTypeEdge` - `MosaicSnapshotSortBy` - `MosaicSnapshotType` - `MosaicStorageLocation` - `MosaicStorageLocationFilterField` - `MosaicStorageLocationFilterInput` - `MosaicStorageLocationQuerySortByField` - `MosaicStoreConnectionParameters` - `MosaicStoreConnectionStatus` - `MosaicStoreObject` - `MosaicStoreObjectStoreType` - `MosaicStoreType` - `MosaicVersionObject` - `MosaicVersionObjectVersionState` - `SourceConfigParams` - `SourceInput` - `SourceSourceType` - `StoreMetadata` - `V2BulkDeleteMosaicSourcesRequestSourceType` - `V2DeleteMosaicSourceRequestSourceType` - `VersionInput` - `VersionSourceType` - `noSqlWorkloadCount` field removed from `Cluster` 6 fields removed from `Mutation` - `assignProtection` - `bulkDeleteCassandraSources` - `createCassandraSource` - `deleteCassandraSource` - `recoverCassandraSource` - `updateCassandraSource` - `haGroupName` field removed from `MysqlHaClusterInfo` 13 fields removed from `Query` - `allNosqlStorageLocations` - `cassandraColumnFamilies` - `cassandraColumnFamily` - `cassandraColumnFamilyRecoverableRange` - `cassandraColumnFamilySchema` - `cassandraKeyspace` - `cassandraKeyspaces` - `cassandraSource` - `cassandraSources` - `mosaicBulkRecoveryRange` - `mosaicSnapshots` - `mosaicStores` - `mosaicVersions` - Field `CdmSnapshot`.postgresDbClusterAppMetadata changed type from `KosmosWorkloadAppMetadata` to `PostgresDbClusterAppMetadata` - Field `MysqlHaClusterInfo`.replicas changed type from [KosmosTopologyReplicaInfo!]! to [MysqlTopologyReplicaInfo!]! ### 🗑️ Removed Deprecated Items *These items were previously marked `@deprecated` and have now been removed.* - Field `bulkDeleteMongodbSources` (deprecated) was removed from object type `Mutation` - Field `createMongodbSource` (deprecated) was removed from object type `Mutation` - Field `deleteMongodbSource` (deprecated) was removed from object type `Mutation` - Field `recoverMongodbSource` (deprecated) was removed from object type `Mutation` - Field `updateMongodbSource` (deprecated) was removed from object type `Mutation` - Field `mongodbBulkRecoverableRange` (deprecated) was removed from object type `Query` - Field `mongodbCollection` (deprecated) was removed from object type `Query` - Field `mongodbCollectionRecoverableRange` (deprecated) was removed from object type `Query` - Field `mongodbCollections` (deprecated) was removed from object type `Query` - Field `mongodbDatabase` (deprecated) was removed from object type `Query` - Field `mongodbDatabases` (deprecated) was removed from object type `Query` - Field `mongodbSource` (deprecated) was removed from object type `Query` - Field `mongodbSources` (deprecated) was removed from object type `Query` ### ⚡ May Require Changes *Your requests still work. Deprecations and shifted defaults to plan around.* - Argument shouldDeleteRcvLocations: Boolean added to field `Mutation.removeCdmCluster` - Argument maxCacheStalenessSeconds: Int! (with default value) added to field `Query.allCloudNativeTagKeys` - Argument maxCacheStalenessSeconds: Int! (with default value) added to field `Query.allCloudNativeTagValues` - Argument after: String added to field `Query.crawls` - Argument before: String added to field `Query.crawls` - Argument first: Int added to field `Query.crawls` - Argument last: Int added to field `Query.crawls` - Default value DESC was added to argument sortOrder on field `Query.getCdmReleaseDetailsForVersionFromSupportPortal` - Default value DESC was added to argument sortOrder on field `Query.getCdmReleaseDetailsFromSupportPortal` - Argument before: String added to field `Query.listO365Apps` - Argument last: Int added to field `Query.listO365Apps` - Argument after: String added to field `Query.policies` - Argument before: String added to field `Query.policies` - Argument first: Int added to field `Query.policies` - Argument last: Int added to field `Query.policies` - Default value ALL was added to argument policyObjectFilter on field `Query.policies` - Default value true was added to argument includeWhitelistedResults on field `Query.policyObj` - Default value true was added to argument includeWhitelistedResults on field `Query.policyObjOpt` - Argument after: String added to field `Query.policyObjectUsages` - Argument before: String added to field `Query.policyObjectUsages` - Argument first: Int added to field `Query.policyObjectUsages` - Argument last: Int added to field `Query.policyObjectUsages` - Argument before: String added to field `Query.snappableTeamsConversationsSearch` - Argument last: Int added to field `Query.snappableTeamsConversationsSearch` - Member SaasActivityMetadata was added to `Union` type ResourceMetadataUnion - Member SaasActivityViolationDetails was added to `Union` type ViolationDetailsUnion ### ✨ Additions *Purely additive. Nothing you send today stops working. If you switch exhaustively on an enum, add a default case for newly added values.* 3 enum values added to enum `AirGatewayProvisioningState` - `GATEWAY_PROVISIONING_STATE_DELETED` - `GATEWAY_PROVISIONING_STATE_DELETION_FAILED` - `UNRECOGNIZED` - `AZURE_COSMOS_NOSQL` enum value added to enum `AzureNativeProtectionFeature` - `AZURE_COSMOS_NOSQL_PROTECTION` enum value added to enum `CloudAccountFeature` - `AWAITING_DECISION` enum value added to enum `FailoverStatusEnum` - `COMMITTING` enum value added to enum `FailoverStatusEnum` 3 enum values added to enum `FilterType` - `SECURITY_SAAS_ACTIVITY_ACTOR` - `SECURITY_SAAS_ACTIVITY_ORG` - `SECURITY_SAAS_ACTIVITY_TYPE` 3 enum values added to enum `HierarchyFilterField` - `D365_TABLE_LOGICAL_NAME` - `RECOVERY_PLAN_LAST_RECOVERY_OUTCOME` - `SAP_HANA_ENABLE_COMPRESSION` - `RECOVERY_PLAN_LAST_RECOVERY_OUTCOME` enum value added to enum `HierarchySortByField` - `RECOVERY_PLAN_STATUS` enum value added to enum `HierarchySortByField` - `IRISDB` enum value added to enum `InventoryCard` - `RECOVERY_RDS_CONNECTIVITY` enum value added to enum `PermissionsGroup` - `RESOURCE_TYPE_SAAS_ACTIVITY` enum value added to enum `PolicyResourceType` - `POLICY_TYPE_SAAS_ACTIVITY` enum value added to enum `PolicyType` - `AWAITING_DECISION` enum value added to enum `RecoveryStatus` - `COMMITTING` enum value added to enum `RecoveryStatus` - `usedFsSize` field added to `CdmSnapshot` - `dataCategoryIds` field added to `Crawl` 25 types added - `DbEngineVersionInfo` - `FilesetExportSnapshotFilesFromArchivalLocationInput` - `LicenseRecoveryOptionInput` - `MariadbDatabase` - `MariadbDatabaseMetadata` - `MariadbDatabaseProtectionState` - `MariadbInstance` - `MariadbInstanceAdvancedConfig` - `MariadbInstanceAuthenticationType` - `MariadbInstanceDetails` - `MariadbInstanceMetadata` - `MariadbInstanceSslConfig` - `MariadbInstanceStatus` - `MysqlTopologyReplicaInfo` - `PostgresBackupNodePreference` - `PostgresDbClusterAppMetadata` - `PowerPlatformApp` - `PowerPlatformAppStatus` - `PowerPlatformAppType` - `PowerPlatformFlow` - `PowerPlatformFlowStatus` - `PowerPlatformFlowType` - `RecoveryPlanFilterTimeRange` - `SaasActivityMetadata` - `SaasActivityViolationDetails` - `cloudInstanceId` input field added to `HostRegisterInput` - `id` input field added to `HostRegisterInput` - `analysisJob` field added to `M365AbrRecoveryPlan` - `bccRecipients` field added to `M365ExchangeRecoveryPlanFilterLeaf` - `createdTime` field added to `M365ExchangeRecoveryPlanFilterLeaf` 5 fields added to `M365OneDriveRecoveryPlanFilterLeaf` - `createTime` - `createdByEmail` - `hasUniquePermissions` - `lastModifiedByEmail` - `modifiedTime` 5 fields added to `M365SharePointRecoveryPlanFilterLeaf` - `createTime` - `createdByEmail` - `hasUniquePermissions` - `lastModifiedByEmail` - `modifiedTime` - `filesetExportSnapshotFilesFromArchivalLocation` field added to `Mutation` - `licenseRecoveryOption` input field added to `ObjectRecoveryOptionsType` - `backupNodePreference` field added to `PostgresHaClusterInfo` - `portNumber` field added to `PostgresTopologyReplicaInfo` - `statusMessageDetails` field added to `PostgresTopologyReplicaInfo` - `availableDbEngineVersions` field added to `RdsInstanceExportDefaults` - `domainFid` field added to `SigninAnomalyMetadata` 3 fields added to `ThreatHuntingObjectFileMatch` - `archiveRelativePath` - `containerArchiveDetails` - `isInsideArchive` - Deprecation reason on field `FileResult.attributesSummary` has changed from `No` longer used. to `No` longer populated or consumed by any caller. - Deprecation reason on field `PolicyObj.attributesSummary` has changed from `No` longer used. to `No` longer populated or consumed by any caller. - Field `RdsInstanceExportDefaults`.supportedDbEngineVersions is deprecated ## August 03, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* - Field `PostgresHaClusterInfo`.replicas changed type from [KosmosTopologyReplicaInfo!]! to [PostgresTopologyReplicaInfo!]! - Input field `CompleteAzureAdAppSetupInput.stateToken` changed type from `String`! to `String` - Field `Query`.ncdBackEndCapacity changed type from `NcdBackEndCapacity` to `NcdBackEndCapacity`! - Field `Query`.ncdFrontEndCapacity changed type from `NcdFrontEndCapacity` to `NcdFrontEndCapacity`! - Field `Query`.ncdObjectProtectionStatus changed type from `NcdObjectProtectionStatus` to `NcdObjectProtectionStatus`! ### ⚡ May Require Changes *Your requests still work. Deprecations and shifted defaults to plan around.* - Argument idpTypes: [IdpType!] added to field `Query.allSecurityPolicies` - Argument before: String added to field `Query.azureAdDirectories` - Argument last: Int added to field `Query.azureAdDirectories` - Argument eventObjectTypes: [EventObjectType!] added to field `Query.devOpsBackupJobInformation` - Argument lastSeenDate: TimeRangeInput added to field `Query.policyViolations` - Member SigninAnomalyMetadata was added to `Union` type ResourceMetadataUnion ### ✨ Additions *Purely additive. Nothing you send today stops working. If you switch exhaustively on an enum, add a default case for newly added values.* 7 enum values added to enum `ActivityObjectTypeEnum` - `ANTHROPIC_CHILD_ORG` - `ANTHROPIC_CHILD_ORG_SETTINGS` - `ANTHROPIC_CHILD_ORG_USER` - `ANTHROPIC_DEVICE` - `ANTHROPIC_ORG` - `ANTHROPIC_ORG_SETTINGS` - `ANTHROPIC_USER_CLAUDE_CHAT` 4 enum values added to enum `ArchivalMigrationStatus` - `SLA_UPDATE_FAILED` - `SLA_UPDATE_IN_PROGRESS` - `SLA_UPDATE_PENDING` - `SLA_UPDATE_SUCCESS` 7 enum values added to enum `AuditObjectType` - `ANTHROPIC_CHILD_ORG` - `ANTHROPIC_CHILD_ORG_SETTINGS` - `ANTHROPIC_CHILD_ORG_USER` - `ANTHROPIC_DEVICE` - `ANTHROPIC_ORG` - `ANTHROPIC_ORG_SETTINGS` - `ANTHROPIC_USER_CLAUDE_CHAT` 3 enum values added to enum `AuthorizedOperation` - `MANAGE_CDM_USER` - `VIEW_AGENT_CLOUD_SESSIONS` - `VIEW_CDM_USER` - `VSPHERE_COMPUTE_VISIBILITY_DISABLED` enum value added to enum `CdmFeatureFlagType` - `CRITICAL_RESOURCE_PROTECTION` enum value added to enum `CloudAccountFeature` - `GITHUB_DEVELOPER_COLLABORATION_PROTECTION` enum value added to enum `CloudAccountFeature` - `SENSITIVE_DATA_DISCOVERY` enum value added to enum `CoordinatorLabel` - `IDENTITY_INVENTORY` enum value added to enum `DataViewTypeEnum` 7 enum values added to enum `EventObjectType` - `ANTHROPIC_CHILD_ORG` - `ANTHROPIC_CHILD_ORG_SETTINGS` - `ANTHROPIC_CHILD_ORG_USER` - `ANTHROPIC_DEVICE` - `ANTHROPIC_ORG` - `ANTHROPIC_ORG_SETTINGS` - `ANTHROPIC_USER_CLAUDE_CHAT` - `RECOVERY_IMPACT_CSV` enum value added to enum `FileTypeEnumType` 15 enum values added to enum `FilterType` - `SECURITY_GPO_LDAP_SIGNING` - `SECURITY_GPO_LLMNR_ENABLED` - `SECURITY_GPO_RISKY_MACHINE_SCRIPT` - `SECURITY_GPO_SE_ASSIGN_PRIMARY_TOKEN_PRIVILEGE` - `SECURITY_GPO_SE_BACKUP_PRIVILEGE` - `SECURITY_GPO_SE_DEBUG_PRIVILEGE` - `SECURITY_GPO_SE_ENABLE_DELEGATION_PRIVILEGE` - `SECURITY_GPO_SE_IMPERSONATE_PRIVILEGE` - `SECURITY_GPO_SE_LOAD_DRIVER_PRIVILEGE` - `SECURITY_GPO_SE_REMOTE_INTERACTIVE_LOGON_RIGHT` - `SECURITY_GPO_SE_RESTORE_PRIVILEGE` - `SECURITY_GPO_SE_TAKE_OWNERSHIP_PRIVILEGE` - `SECURITY_GPO_SE_TCB_PRIVILEGE` - `SECURITY_GPO_SE_TRUSTED_CRED_MAN_ACCESS_PRIVILEGE` - `SECURITY_IDENTITY_EVENT_POLICY_INSIGHTS` 14 enum values added to enum `GpoSettingName` - `GPO_SETTING_NAME_ENABLE_MULTICAST` - `GPO_SETTING_NAME_LDAP_SERVER_INTEGRITY` - `GPO_SETTING_NAME_MACHINE_SCRIPT_COMMAND` - `GPO_SETTING_NAME_SE_ASSIGN_PRIMARY_TOKEN_PRIVILEGE` - `GPO_SETTING_NAME_SE_BACKUP_PRIVILEGE` - `GPO_SETTING_NAME_SE_DEBUG_PRIVILEGE` - `GPO_SETTING_NAME_SE_ENABLE_DELEGATION_PRIVILEGE` - `GPO_SETTING_NAME_SE_IMPERSONATE_PRIVILEGE` - `GPO_SETTING_NAME_SE_LOAD_DRIVER_PRIVILEGE` - `GPO_SETTING_NAME_SE_REMOTE_INTERACTIVE_LOGON_RIGHT` - `GPO_SETTING_NAME_SE_RESTORE_PRIVILEGE` - `GPO_SETTING_NAME_SE_TAKE_OWNERSHIP_PRIVILEGE` - `GPO_SETTING_NAME_SE_TCB_PRIVILEGE` - `GPO_SETTING_NAME_SE_TRUSTED_CRED_MAN_ACCESS_PRIVILEGE` - `EC2_INSTANCE_VPC_ID` enum value added to enum `HierarchyFilterField` - `RDS_INSTANCE_VPC_ID` enum value added to enum `HierarchyFilterField` 9 enum values added to enum `HierarchyObjectTypeEnum` - `ANTHROPIC_CHILD_ORG` - `ANTHROPIC_CHILD_ORG_SETTINGS` - `ANTHROPIC_CHILD_ORG_USER` - `ANTHROPIC_DEVICE` - `ANTHROPIC_ORG` - `ANTHROPIC_ORG_SETTINGS` - `ANTHROPIC_USER_CLAUDE_CHAT` - `IRISDB_DATABASE` - `IRISDB_INSTANCE` - `EC2_INSTANCE_VPC_ID` enum value added to enum `HierarchySortByField` - `RDS_INSTANCE_VPC_ID` enum value added to enum `HierarchySortByField` - `ANTHROPIC` enum value added to enum `InventoryCard` - `ANTHROPIC_ROOT` enum value added to enum `InventorySubHierarchyRootEnum` - `IRISDB_ROOT` enum value added to enum `InventorySubHierarchyRootEnum` 9 enum values added to enum `ManagedObjectType` - `ANTHROPIC_CHILD_ORG` - `ANTHROPIC_CHILD_ORG_SETTINGS` - `ANTHROPIC_CHILD_ORG_USER` - `ANTHROPIC_DEVICE` - `ANTHROPIC_ORG` - `ANTHROPIC_ORG_SETTINGS` - `ANTHROPIC_USER_CLAUDE_CHAT` - `IRISDB_DATABASE` - `IRISDB_INSTANCE` 6 enum values added to enum `ObjectTypeEnum` - `ANTHROPIC_CHILD_ORG_SETTINGS` - `ANTHROPIC_DEVICE` - `ANTHROPIC_ORG_SETTINGS` - `ANTHROPIC_USER_CLAUDE_CHAT` - `AZURE_DEVOPS_PROJECT_FIXED_OBJECT` - `IRISDB_INSTANCE` 3 enum values added to enum `Operation` - `MANAGE_CDM_USER` - `VIEW_AGENT_CLOUD_SESSIONS` - `VIEW_CDM_USER` - `QAUTH_BREAK_GLASS_CONFIG_PUT` enum value added to enum `PendingActionSubGroupTypeEnum` - `RECOVER_TO_S3` enum value added to enum `PermissionsGroup` 8 enum values added to enum `PolarisReportViewType` - `ACCOUNT_LIFECYCLE_REPORT` - `ACCOUNT_LOCKOUTS_REPORT` - `GPO_CAP_CHANGES_REPORT` - `GROUP_CHANGES_REPORT` - `GROUP_MEMBERSHIP_REPORT` - `IDENTITY_INVENTORY_REPORT` - `PASSWORD_CHANGE_HISTORY_REPORT` - `PRIVILEGED_IDENTITY_REPORT` - `ANTHROPIC_OBJECT_TYPE` enum value added to enum `SlaObjectType` - `IRISDB_INSTANCE_OBJECT_TYPE` enum value added to enum `SlaObjectType` 10 enum values added to enum `TableViewType` - `ACCOUNT_LIFECYCLE_TABLE` - `ACCOUNT_LOCKOUTS_TABLE` - `CNP_PROTECTION_TASKS_DETAIL_BY_CLOUD_ACCOUNT_TABLE` - `CNP_RECOVERY_TASKS_DETAIL_BY_CLOUD_ACCOUNT_TABLE` - `GPO_CAP_CHANGES_TABLE` - `GROUP_CHANGES_TABLE` - `GROUP_MEMBERSHIP_ALL_TABLE` - `IDENTITY_INVENTORY_ALL_TABLE` - `PASSWORD_CHANGE_HISTORY_TABLE` - `PRIVILEGED_IDENTITY_TABLE` - `DELETE_PHYSICAL_HOST` enum value added to enum `TprRule` - `MANAGE_ENCRYPTION_SETTINGS` enum value added to enum `TprRule` 51 types added - `ActivityClassification` - `ActivityClassificationSource` - `ActivityClassificationSourceType` - `AirGatewayProvisioningState` - `AirMcpGatewayConnectionData` - `AirUpdateMcpGatewayInput` - `AirUpdateMcpGatewayReply` - `AttributeNameValues` - `AwsFeatureTagBinding` - `AzureAdEventHubConnectionStatus` - `BackupWindowsForObjectsReply` - `CreateOnDemandS3TablesIcebergTableBackupInput` - `CreateOnDemandS3TablesIcebergTableBackupReply` - `DatabaseLogRetentionConfigEntryType` - `DatabaseLogRetentionConfigType` - `DatabaseLogRetentionInfoType` - `DevopsZeusState` - `EntraIdEventHubOnboarding` - `EntraIdEventHubOnboardingWithoutOAuth` - `FusionComputeUpdatedUnmountTimeInput` - `IcebergSlaConfig` - `IcebergSlaConfigInput` - `IcebergSnapshotSelectionStrategy` - `IrisdbSlaConfigInput` - `M365RecoveryPlanWorkloadSummary` - `MysqldbHaClusterConfigInput` - `MysqldbHaReplicaConfigInput` - `MysqldbHaReplicaConfigRole` - `MysqldbReplicaConnectionInfoInput` - `ObjectBackupWindowsEntry` - `PolicyInsight` - `PostgresTopologyReplicaInfo` - `PrincipalAttributeFilter` - `PrincipalAttributes` - `PrincipalAttributesConnection` - `PrincipalAttributesEdge` - `RecoverS3TablesIcebergTableSnapshotInput` - `RecoverS3TablesIcebergTableSnapshotReply` - `S3TablesIcebergExportToExistingTableRecoveryTarget` - `S3TablesIcebergExportToNewTableRecoveryTarget` - `S3TablesIcebergInPlaceRecoveryTarget` - `S3TablesIcebergInventoryStatsReply` - `SetObjectBackupWindowsInput` - `SigninAnomalyActor` - `SigninAnomalyMetadata` - `TagCondition` - `TagConditionKeyPrefix` - `TagConditionOperator` - `UpdateFusionComputeUnmountTimeInput` - `YearlyDaySpecInput` - `YearlyDaySpecification` 3 fields added to `ActivityEntry` - `classification` - `classificationSources` - `classifiedOn` 3 fields added to `AzureAdDirectory` - `doesEventHubIngestionRequireAzureSignIn` - `eventHubConnectionStatus` - `isEventHubIngestionEnabled` - `isOpenstackStorageSnapshot` field added to `CdmSnapshot` - `isOpenstackStorageSnapshot` input field added to `CdmSnapshotFilterInput` 13 fields added to `ClusterNodeStats` - `diskUtilBasisPoints` - `loadAvg5MinMilli` - `nfacctTcpBackupAgentBytes` - `nfacctTcpEsxBytes` - `nfacctTcpIscsiBytes` - `nfacctTcpNfsBytes` - `nfacctTcpSmbBytes` - `snapshotStorageDelta` - `snapshotStorageIndex` - `snapshotStorageLive` - `snapshotStorageMetadata` - `storageEfficiencyRatio10k` - `uptimeSeconds` 3 input fields added to `CompleteAzureAdAppSetupInput` - `eventHubOnboarding` - `eventHubOnboardingWithoutOauth` - `eventHubOnly` - `sessionId` input field added to `DeleteAzureAdDirectoryInput` - `feature` field added to `DevOpsGroupPermissions` - `objectIds` field added to `EventDigestConfigInfo` - `inactiveOwnerLocationIds` field added to `GetArchivalReaderInfoResp` - `zeusState` field added to `GithubOrganization` - `assignedSystemTags` field added to `GlobalSlaReply` - `useExtensionWhitelist` field added to `HuntScanFileCriteria` - `useExtensionWhitelist` input field added to `HuntScanFileCriteriaInputType` - `backupSubnetCidr` input field added to `K8sClusterAddInput` - `dataPathTransport` input field added to `K8sClusterAddInput` - `backupSubnetCidr` input field added to `K8sClusterUpdateConfigInput` - `dataPathTransport` input field added to `K8sClusterUpdateConfigInput` - `backupSubnetCidr` input field added to `K8sManifestConfigInput` - `dataPathTransport` input field added to `K8sManifestConfigInput` - `classifiedOnRange` input field added to `ListActivitiesFilter` - `lastSeenAtDateRange` input field added to `ListPolicyViolationsFilter` - `workloadSummaries` field added to `M365AbrRecoveryPlan` - `isTlsEnabled` field added to `ManagedVolumeNfsSettings` 5 fields added to `Mutation` - `airUpdateMcpGateway` - `createOnDemandS3TablesIcebergTableBackup` - `recoverS3TablesIcebergTableSnapshot` - `setObjectBackupWindows` - `updateFusionComputeUnmountTime` - `hasCapturedSchemas` field added to `MysqldbInstanceAppMetadata` - `haClusterConfig` input field added to `MysqldbInstanceConfigInput` - `icebergSlaConfig` field added to `ObjectSpecificConfigs` - `icebergSlaConfigInput` input field added to `ObjectSpecificConfigsInput` - `irisdbConfigInput` input field added to `ObjectSpecificConfigsInput` - `caCertificates` field added to `PingFederateObjectsCount` - `virtualHostNames` field added to `PingFederateObjectsCount` 3 fields added to `Query` - `backupWindowsForObjects` - `principalAttributes` - `s3TablesIcebergInventoryStats` - `databaseLogRetentionInfo` field added to `ReplicationSpecV2` - `shouldExpandArchiveFiles` field added to `ThreatHuntConfig` - `daysOfYear` field added to `YearlySnapshotSchedule` - Input field `awsNativeId` of type `String` with default value "" was added to input object type `AwsGetPermissionPoliciesInput` - Input field `objectIds` of type [String!] was added to input object type `EventDigestConfig` - Input field `managedObjectTypeFilter` of type [ManagedObjectType!] was added to input object type `FailoverGroupWorkloadFilter` - Input field `tagBindings` of type [AwsFeatureTagBinding!] was added to input object type `FeatureWithPermissionsGroups` - Enum value FilterType.SECURITY_IDENTITY_EVENT_GPO_CHANGE_LABEL was deprecated with reason Use SECURITY_IDENTITY_EVENT_POLICY_INSIGHTS instead. - Enum value HierarchyFilterField.AWS_VPC_ID was deprecated with reason Use EC2_INSTANCE_VPC_ID or RDS_INSTANCE_VPC_ID instead. - Enum value HierarchySortByField.AWS_VPC_ID was deprecated with reason Use EC2_INSTANCE_VPC_ID or RDS_INSTANCE_VPC_ID instead. - Input field `targetPrivilegeTypes` of type [PrivilegeType!] was added to input object type `IdentityFilter` - Input field `classificationSources` of type [ActivityClassificationSourceType!] was added to input object type `ListActivitiesFilter` - Input field `classifications` of type [ActivityClassification!] was added to input object type `ListActivitiesFilter` - Input field `policyInsights` of type [PolicyInsight!] was added to input object type `ListActivitiesFilter` - Input field `featuresWithPermissionsGroups` of type [FeatureWithPermissionsGroups!] was added to input object type `StartGitHubAppSetupInput` - Input field `daysOfYear` of type [YearlyDaySpecInput!] was added to input object type `YearlySnapshotScheduleInput` ## July 27, 2026 ### ⚠️ Breaking Changes *Requests that worked before may now fail. RSC updates automatically, so check whether your integrations use anything listed here.* - `altHostId` field removed from `AddcRecoverySpec` - Input field `altHostId` was removed from input object type `AddcRecoverySpecInput` - Inpu
[...]
